Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 463960 - net-libs/webkit-gtk:* hangs (gobject-introspection problem?) with =x11-drivers/nvidia-drivers-325.*
Summary: net-libs/webkit-gtk:* hangs (gobject-introspection problem?) with =x11-driver...
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal with 5 votes (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugs.webkit.org/show_bug.cgi?...
Whiteboard:
Keywords: NeedPatch
: 495990 497672 502012 505692 517192 528248 (view as bug list)
Depends on: 531842 533398
Blocks: 533128
  Show dependency tree
 
Reported: 2013-03-31 01:28 UTC by Harris Landgarten
Modified: 2015-05-06 11:18 UTC (History)
40 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gdb backtrace (lt-WebKit-3.0 backtrace.txt,5.29 KB, text/plain)
2013-07-30 04:11 UTC, Alexandre Rostovtsev (RETIRED)
Details
"thread apply all bt full" backtrace (lt-WebKit-3.0 backtrace 4.txt,22.56 KB, text/plain)
2013-08-02 13:03 UTC, Alexandre Rostovtsev (RETIRED)
Details
Possible fix to hangs from #67 (webkit-gtk.patch,783 bytes, patch)
2014-01-18 20:33 UTC, Harris Landgarten
Details | Diff
2.2.5 build log hangs (webkit-build.log.tar.bz2,414.23 KB, application/x-bzip)
2014-03-10 09:35 UTC, Anton Gubarkov
Details
Webkit-3.0 hang gdb backtrace log (Webkit-3.0-hang-gdb-backtrace.log,17.06 KB, text/x-log)
2014-08-29 19:01 UTC, Mariusz Ceier
Details
Debug info: ps, gdb, strace (webkit-gtk-debug.tar.gz,29.68 KB, application/x-gzip)
2014-10-19 14:52 UTC, nE0sIghT
Details
sys-apps/webkitgtk-hang-test-1.ebuild - test case (webkitgtk-hang-test-1.ebuild,680 bytes, text/plain)
2014-11-09 17:26 UTC, nE0sIghT
Details
webkitgtk-hang-test-1.tar.gz - distfile for test case (webkitgtk-hang-test-1.tar.gz,663 bytes, application/x-gzip)
2014-11-09 17:28 UTC, nE0sIghT
Details
sys-apps/webkitgtk-hang-test-1.ebuild - test case (webkitgtk-hang-test-1.ebuild,687 bytes, text/plain)
2014-11-09 17:32 UTC, nE0sIghT
Details
Backtrace when hang. webkit-gtk builded with -g0 (backtrace,21.27 KB, text/plain)
2014-12-20 19:26 UTC, nE0sIghT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harris Landgarten 2013-03-31 01:28:15 UTC
webkit-gtk-2.0.0 hangs while building after successfully running

/usr/bin/g-ir-compiler --includedir ./Source/WebKit2 --includedir . WebKit2-3.0.gir -o WebKit2-3.0.typelib

After that it hangs with no errors.

The process that appear to be failing to complete is:

root       855 25428  0 20:27 pts/3    00:00:08 /usr/bin/python2.7 /usr/bin/g-ir-scanner -v --warn-all --symbol-prefix=webkit --identifier-prefix=WebKit --namespace=WebKit --nsversion=3.0 --include=GObject-2.0 --include=Gtk-3.0 --include=JSCore-3.0 --include=Soup-2.4 --library=webkitgtk-3.0 --library=javascriptcoregtk-3.0 --libtool=bash ./gir-paxctl-lt-wrapper m --pkg=gobject-2.0 --pkg=gtk+-3.0 --pkg=libsoup-2.4 --pkg-export=webkitgtk-3.0 --output=WebKit-3.0.gir --add-include-path=./Source/WebKit/gtk --add-include-path=. --c-include=webkit/webkit.h -DBUILDING_WEBKIT -I./Source -I./Source/WebKit/gtk -I./DerivedSources -I./DerivedSources/webkitdom -I./DerivedSources/webkit -I./Source/WebKit/gtk -I./Source/JavaScriptCore/ForwardingHeaders -I. ./DerivedSources/webkit/webkitenumtypes.h Source/WebKit/gtk/webkit/webkitversion.h ./Source/WebKit/gtk/webkit/webkit.h ./Source/WebKit/gtk/webkit/webkitapplicationcache.h ./Source/WebKit/gtk/webkit/webkitdefines.h ./Source/WebKit/gtk/webkit/webkitdom.h ./Source/WebKit/gtk/webkit/webkitdownload.h ./Source/WebKit/gtk/webkit/webkiterror.h ./Source/WebKit/gtk/webkit/webkitfavicondatabase.h ./Source/WebKit/gtk/webkit/webkitfilechooserrequest.h ./Source/WebKit/gtk/webkit/webkitgeolocationpolicydecision.h ./Source/WebKit/gtk/webkit/webkitglobals.h ./Source/WebKit/gtk/webkit/webkithittestresult.h ./Source/WebKit/gtk/webkit/webkiticondatabase.h ./Source/WebKit/gtk/webkit/webkitnetworkrequest.h ./Source/WebKit/gtk/webkit/webkitnetworkresponse.h ./Source/WebKit/gtk/webkit/webkitsecurityorigin.h ./Source/WebKit/gtk/webkit/webkitsoupauthdialog.h ./Source/WebKit/gtk/webkit/webkitspellchecker.h ./Source/WebKit/gtk/webkit/webkitviewportattributes.h ./Source/WebKit/gtk/webkit/webkitwebbackforwardlist.h ./Source/WebKit/gtk/webkit/webkitwebdatabase.h ./Source/WebKit/gtk/webkit/webkitwebdatasource.h ./Source/WebKit/gtk/webkit/webkitwebframe.h ./Source/WebKit/gtk/webkit/webkitwebhistoryitem.h ./Source/WebKit/gtk/webkit/webkitwebinspector.h ./Source/WebKit/gtk/webkit/webkitwebnavigationaction.h ./Source/WebKit/gtk/webkit/webkitwebplugin.h ./Source/WebKit/gtk/webkit/webkitwebplugindatabase.h ./Source/WebKit/gtk/webkit/webkitwebpolicydecision.h ./Source/WebKit/gtk/webkit/webkitwebresource.h ./Source/WebKit/gtk/webkit/webkitwebsettings.h ./Source/WebKit/gtk/webkit/webkitwebwindowfeatures.h ./Source/WebKit/gtk/webkit/webkitwebview.h DerivedSources/webkitdom/WebKitDOMCSSRule.h DerivedSources/webkitdom/WebKitDOMCSSRuleList.h DerivedSources/webkitdom/WebKitDOMCSSStyleDeclaration.h DerivedSources/webkitdom/WebKitDOMCSSStyleSheet.h DerivedSources/webkitdom/WebKitDOMCSSValue.h DerivedSources/webkitdom/WebKitDOMMediaList.h DerivedSources/webkitdom/WebKitDOMMediaQueryList.h DerivedSources/webkitdom/WebKitDOMStyleMedia.h DerivedSources/webkitdom/WebKitDOMStyleSheet.h DerivedSources/webkitdom/WebKitDOMStyleSheetList.h DerivedSources/webkitdom/WebKitDOMAttr.h DerivedSources/webkitdom/WebKitDOMCDATASection.h DerivedSources/webkitdom/WebKitDOMCharacterData.h DerivedSources/webkitdom/WebKitDOMComment.h DerivedSources/webkitdom/WebKitDOMDocument.h DerivedSources/webkitdom/WebKitDOMDocumentFragment.h DerivedSources/webkitdom/WebKitDOMDocumentType.h DerivedSources/webkitdom/WebKitDOMDOMImplementation.h DerivedSources/webkitdom/WebKitDOMDOMNamedFlowCollection.h DerivedSources/webkitdom/WebKitDOMDOMSettableTokenList.h DerivedSources/webkitdom/WebKitDOMDOMSecurityPolicy.h DerivedSources/webkitdom/WebKitDOMDOMStringList.h DerivedSources/webkitdom/WebKitDOMDOMStringMap.h DerivedSources/webkitdom/WebKitDOMDOMTokenList.h DerivedSources/webkitdom/WebKitDOMElement.h DerivedSources/webkitdom/WebKitDOMEntityReference.h DerivedSources/webkitdom/WebKitDOMEvent.h DerivedSources/webkitdom/WebKitDOMMessagePort.h DerivedSources/webkitdom/WebKitDOMMouseEvent.h DerivedSources/webkitdom/WebKitDOMNamedNodeMap.h DerivedSources/webkitdom/WebKitDOMNode.h DerivedSources/webkitdom/WebKitDOMNodeFilter.h DerivedSources/webkitdom/WebKitDOMNodeIterator.h DerivedSources/webkitdom/WebKitDOMNodeList.h DerivedSources/webkitdom/WebKitDOMProcessingInstruction.h DerivedSources/webkitdom/WebKitDOMRange.h Derived


The build directory is over 600M so if you would like any part of it let me know.

webkit-gtk-1.11.90-r300 successfully installed from the gnome-overlay
Comment 1 Pacho Ramos gentoo-dev 2013-03-31 13:26:58 UTC
(In reply to comment #0)
[...]
> webkit-gtk-1.11.90-r300 successfully installed from the gnome-overlay

Are you using make version provided by gnome overlay or main tree one? Could you try with make version from overlay?

Also please provide emerge --info   and try to build it with MAKEOPTS="-j1"
Comment 2 Harris Landgarten 2013-03-31 15:44:50 UTC
I am using make from the overlay and did try -j1 (long compile) with the same hang. I didn't check ps after the hang with -j1 and can do that later if you think that will help
Comment 3 Pacho Ramos gentoo-dev 2013-03-31 17:10:26 UTC
ps output with -j1 would be interesting to clearly identify the hung command. Also, I would try to use make from main tree (it's the one I am using and I don't experience the hang)
Comment 4 Harris Landgarten 2013-03-31 17:18:20 UTC
tried again with MAKEOPTS="-j1" with paludis to get more debug info and this time it installed. Only difference is running via ssh and byobu from my iphone.

-j13 which is what I normally seems to be causing problems.

I also don't understand why it hangs instead of failing.

Doesn't seem related to the make issues

just for reference I am running of 12 cores with 24G of memory.
Comment 5 Pacho Ramos gentoo-dev 2013-03-31 18:34:25 UTC
Well, in my case it workf with -j5, maybe it starts to appear with bigger values :/
Comment 6 Harris Landgarten 2013-03-31 18:42:42 UTC
just tried again with -j13 using make r4.

build failed this time.

Failed to create file 'Programs/resources/webkit2gtk-tests-resources.gresource.3NYYUW': No such file or directory

will try again with -j5
Comment 7 Harris Landgarten 2013-03-31 19:08:52 UTC
I cannot find a consistent way to build it. Must be race condition of some kind.
Comment 8 Pacho Ramos gentoo-dev 2013-03-31 19:20:05 UTC
(In reply to comment #7)
> I cannot find a consistent way to build it. Must be race condition of some
> kind.

But, does it always build with -j1? Have you checked dmesg when it hangs? (maybe it has some interesting message)
Comment 9 Harris Landgarten 2013-04-01 17:33:50 UTC
Trying to track it down. J1 or j13 still hangs in same spot.

Was looking through the GNUmakefile and found the statement that is left in memory when we hang:

It is the entry that starts on line 76125.

$(WEBKIT_GIRSOURCES): $(G_IR_SCANNER) $(JSCORE_GIRSOURCES) libwebkitgtk-3.0.la
	$(AM_V_GEN)LIBTOOL="$(LIBTOOL)" $(G_IR_SCANNER) -v --warn-all \
	     --symbol-prefix=webkit \
	     --identifier-prefix=WebKit \
	     --namespace=WebKit \
	     --nsversion=3.0 \
	     --include=GObject-2.0 \
	     --include=Gtk-3.0 \
	     --include=JSCore-3.0 \
	     --include=Soup-2.4 \
	     --library=webkitgtk-3.0 \
	     --library=javascriptcoregtk-3.0 \
	     --libtool="bash $(top_srcdir)/gir-paxctl-lt-wrapper m" \
	     --pkg=gobject-2.0 \
	     --pkg=gtk+-3.0 \
	     --pkg=libsoup-2.4 \
	     --pkg-export=webkitgtk-3.0 \
	     --output=$@ \
	     --add-include-path=$(WebKit) \
	     --add-include-path=$(top_builddir) \
	     --c-include="webkit/webkit.h" \
	     -DBUILDING_WEBKIT \
	     -I$(srcdir)/Source \
	     -I$(WebKit) \
	     -I$(GENSOURCES) \
	     -I$(GENSOURCES_WEBKITDOM) \
	     -I$(GENSOURCES_WEBKIT) \
	     -I$(top_builddir)/Source/WebKit/gtk \
	     -I$(top_srcdir)/Source/JavaScriptCore/ForwardingHeaders \
	     -I$(top_srcdir) \
	     $(GENSOURCES_WEBKIT)/webkitenumtypes.h \
	     $(webkitgtk_h_api) \
	     $(webkitgtk_gdom_built_h_api) \
	     $(WebKit)/webkit/*.cpp

One potential problem is that the statement shown by ps ends before the full expansion of $(webkitgtk_gdom_built_h_api) which is the next to last line.

Is is possible the line is too long for g-ir-scanner ?
Comment 10 Pacho Ramos gentoo-dev 2013-04-02 20:15:02 UTC
I don't know :S, let's see if other gnome team member has an idea :/

Does it only hang when building with portage? Does it compile manually (setting same configure options)
Comment 11 Harris Landgarten 2013-04-03 00:27:40 UTC
I just managed to build it with -j13 and portage. Still get consistent hangs in paludis. I went to the paludis build directory and ran make -j13 and it finished the build with some warnings but no errors.

Could be a bug in paludis. Nothing definitive. Would be good if someone else could try it in paludis and see if they get the same hang.
Comment 12 Harris Landgarten 2013-04-03 13:18:22 UTC
I think it is important to track down this issue. We have a situation where a very long command is likely being truncated causing a hang. This could be caused by a buffer overrun which could also be a security issue.

The complete command is being shown in the build log but it is showing as truncated after 4400 characters in ps.

There is no failure and nothing in the logs, just a hang.
Comment 13 Pacho Ramos gentoo-dev 2013-04-03 22:12:43 UTC
Will CC paludis maintainer as I don't know anything about paludis behavior
Comment 14 Pacho Ramos gentoo-dev 2013-04-06 09:47:21 UTC
Does it build when compiling with "-g1" in C{XX}FLAGS?
Comment 15 Harris Landgarten 2013-04-06 11:45:39 UTC
built with -g1 in cflags and it hung in the exact same way and same spot
Comment 16 Harris Landgarten 2013-04-06 20:15:31 UTC
today I had to rebuild webkit-gtk:2 and :3 because of the icu-51.1 upgrade.

Both hung in the same g-ir-scanner spot.

I eliminated the 1 dependency on webkit-gtk:2 and uninstalled it.

I then tried reinstalling webkit-gtk:3 with portage and it hung in the exact same place.

I went to the build work directory and run make -j13 and in completed.

I then used ebuild to install and qmerge and it worked.

Why are the package managers hanging but not always?
Comment 17 Pacho Ramos gentoo-dev 2013-04-06 20:31:31 UTC
webkit-gtk:2 is older :S, this doesn't look like a regression... but some problem with paludis :|
Comment 18 Harris Landgarten 2013-04-06 22:36:58 UTC
the same hang is happening in both paludis and portage so I think that eliminates both as causing the problem. It is more likely either a common dependence or something else in the tool chain that is causing the hang. I suspect a race condition but not related to -j13. The fact that we hang during a g-ir-scanner run is a clue but the fact that the make -j13 completes from the build directory shows that it is not the command itself.

It has to be something is the way that g-ir-scanner is launched or something that is not allowing it to return when it is done.

I am open to suggestions.
Comment 19 Harris Landgarten 2013-04-06 22:45:27 UTC
This is what comes to the terminal after the g-ir-scanner command is run as part of the manual make -j13 from the build directory. Is it possible these warnings are the source of the hang?

Source/WebKit/gtk/webkit/webkitdownload.cpp:267: Warning: WebKit: missing ':' at column 38:
     * WebKitDownload:network-request
                                     ^
Source/WebKit/gtk/webkit/webkitdownload.cpp:282: Warning: WebKit: missing ':' at column 39:
     * WebKitDownload:network-response
                                      ^
Source/WebKit/gtk/webkit/webkitdownload.cpp:297: Warning: WebKit: missing ':' at column 38:
     * WebKitDownload:destination-uri
                                     ^
Source/WebKit/gtk/webkit/webkitdownload.cpp:312: Warning: WebKit: missing ':' at column 41:
     * WebKitDownload:suggested-filename
                                        ^
Source/WebKit/gtk/webkit/webkitdownload.cpp:360: Warning: WebKit: missing ':' at column 35:
     * WebKitDownload:current-size
                                  ^
Source/WebKit/gtk/webkit/webkitdownload.cpp:375: Warning: WebKit: missing ':' at column 33:
     * WebKitDownload:total-size
                                ^
Source/WebKit/gtk/webkit/webkitgeolocationpolicydecision.cpp:70: Warning: WebKit: missing ':' at column 35:
 * webkit_geolocation_policy_allow
                                  ^
Source/WebKit/gtk/webkit/webkitgeolocationpolicydecision.cpp:90: Warning: WebKit: missing ':' at column 34:
 * webkit_geolocation_policy_deny
                                 ^
Source/WebKit/gtk/webkit/webkitviewportattributes.cpp:36: Warning: WebKit: multiple '@see_also' parameters for identifier 'SECTION:webkitviewportattributes':
 * @see_also: #WebKitWebView::viewport-attributes-changed
    ^
Source/WebKit/gtk/webkit/webkitwebdatabase.cpp:34: Warning: WebKit: multiple comment blocks documenting 'SECTION:webkitwebdatabase:' identifier.
Source/WebKit/gtk/webkit/webkitwebframe.cpp:218: Warning: WebKit: missing ':' at column 38:
     * WebKitWebFrame::load-committed
                                     ^
Source/WebKit/gtk/webkit/webkitwebinspector.cpp:293: Warning: WebKit: missing ':' at column 54:
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:510: Warning: WebKit: missing ':' at column 50:
    * WebKitWebSettings:enable-spatial-navigation
                                                 ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:529: Warning: WebKit: missing ':' at column 48:
    * WebKitWebSettings:enable-frame-flattening
                                               ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:567: Warning: WebKit: missing ':' at column 66:
    * WebKitWebSettings:javascript-can-open-windows-automatically
                                                                 ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:583: Warning: WebKit: missing ':' at column 56:
    * WebKitWebSettings:javascript-can-access-clipboard
                                                       ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:598: Warning: WebKit: missing ':' at column 61:
    * WebKitWebSettings:enable-offline-web-application-cache
                                                            ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:616: Warning: WebKit: missing ':' at column 41:
    * WebKitWebSettings:editing-behavior
                                        ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:642: Warning: WebKit: missing ':' at column 64:
     * WebKitWebSettings:enable-universal-access-from-file-uris
                                                               ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:658: Warning: WebKit: missing ':' at column 42:
     * WebKitWebSettings:enable-dom-paste
                                         ^
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:716
Comment 20 Pacho Ramos gentoo-dev 2013-04-07 07:17:12 UTC
It could maybe be a dev-libs/gobject-introspection-1.36.0 problem :/, not sure if you could be able to try to downgrade it and see if it changes anything
Comment 21 Harris Landgarten 2013-04-07 22:31:18 UTC
downgrade to gobject-introspection-1.34 causes an error earlier in the compile. I think it may be because of gjs-1.36 but downgrading gjs to 1.34 break gnome-shell so I did try it.
Comment 22 Priit Laes (IRC: plaes) 2013-04-10 13:25:22 UTC
It could be related to this issue.

Just saw following patch in Evolution - https://git.gnome.org/browse/evolution/commit/?id=eb6ecc6fb5d1b6859fab949ba20865d2ca784306
Comment 23 nE0sIghT 2013-04-13 13:07:05 UTC
It's not a paludis issue
Today i have exact same problem building =net-libs/webkit-gtk-1.8.3-r200 and =net-libs/webkit-gtk-1.8.3-r201

emerge --info
Portage 2.1.11.62 (default/linux/amd64/13.0, gcc-4.7.2, glibc-2.15-r3, 3.8.5-gentoo x86_64)
=================================================================
System uname: Linux-3.8.5-gentoo-x86_64-Intel-R-_Core-TM-_i5-2400_CPU_@_3.10GHz-with-gentoo-2.1
KiB Mem:    16392644 total,   3753292 free
KiB Swap:    2095100 total,   2095100 free
Timestamp of tree: Fri, 12 Apr 2013 13:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3, 4.7.2-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo vortex roslin qutim gamerlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=native -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O3 -march=native -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/vortex /var/lib/layman/roslin /var/lib/layman/qutim /var/lib/layman/gamerlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X a-like-o a52 aac aacplus aalib acl acpi alsa amd64 apng applet archive artworkextra audacious audio audiofile automount avx bazaar berkdb bittorrent bittorrent-external branding bsf bzip2 cairo caps cdr cdrtools chardet chdir cjk cli collada consolekit cover cracklib crypt css cuda cue cupsddk curl custom-optimization cvs cxx dbus dconf device-mapper dga dhcp dht diff dirac directfb disk-partition divx djvu dnsretry drawing dri dv dvd dvdr eap-tls enca encode exif extensions extras facedetect fat fbcondecor ffmpeg fftw fileinfo firefox flac fluidsynth fontconfig fortran frei0r fts3 fuse g3dvl gd gdbm geoip gif glade glib glitz gnome gnome-keyring gphoto2 gpm graphite grp grub gstreamer gtk gtk3 gtkstyle gudev gzip hddtemp histman hog hvm hwdb iconsets iconv icq id3tag idle idn infinality inifile intl introspection ioemu ipv6 jabber java java6 javascript jingle joystick jpeg jpeg2k kate keymap kinetic kvm ladspa lame lcms libass libcaca libkms libnotify libsamplerate libtiger lights lm_sensors loop-aes lucene lyrics lzma lzo mad matroska melt mercurial minizip mmx mmxext mng modules mp2 mp3 mp4 mp4live mpeg mpeg2 mpg123 mpi mplayer mpu401 mtp mudflap multilib multimedia musepack mvl mysql mysqli nautilus ncurses netplay network nls nptl nsplugin nss ntfs ntfsprogs nvidia offensive ofx ogg ogm oodict openal opencl opencore-amr opengl openmp openssl opensslcrypt optimization optimized-qmake oscar pam parse-clocks pcf pch pcre pcre16 pdf pdo pgo php player plugins png policykit ppds pppd projectm psf pulseaudio purple qml qpak qt4 quicktime rar readline realmedia reiserfs resolvconf romio rtsp ru-dv ru-g ru-i ru-k sasl scale0tilt screen screenshot sdl secure-delete session skins slp smp sndfile sound sounds speex spell sqlite sqlite3 sse sse2 sse3 sse4 ssl ssse3 stream strong-optimization subtitles subversion svg t1lib taglib tcpd textures theora threads thunderbird tiff timidity tint2conf tk tls toolbar trayicon truetype tta tweak-mode twolame udev udisks unicode unzip usb utils v4l2 vaapi vala vamp vdpau verse vkontakte vorbis vorbis-psy vpx wad wav wavpack webkit whiteboarding winbind wma wmp x264 xanim xattr xcb xcomposite xhtml xinetd xml xmlreader xmlrpc xmlwriter xorg xosd xpm xsl xulrunner xv xvfb xvid zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru ru_RU en" NETBEANS_MODULES="apisupport harness ide java nb websvccommon php" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 24 Pacho Ramos gentoo-dev 2013-04-13 13:26:42 UTC
Harris, please show your emerge --info
Comment 25 nE0sIghT 2013-04-13 16:05:17 UTC
I'm finally get it compiled.

1st i'm update gobject-introspection[-common]-1.36.0 to live version from gnome overlay and it did not help. Then i'm downgraded it to version 1.36 and set python to 2.7 via eselect. Then webkit-gtk compilled fine.

I think it's python related
Comment 26 Harris Landgarten 2013-04-13 21:21:38 UTC
just tried again with portage. Same hang in same place. After a ctrl-c portage spit out some info which could be helpful:

Exiting on signal 2
sandbox:stop  caught signal 2 in pid 5869
sandbox:stop  signal already caught and busy still cleaning up!
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 46, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 462, in scanner_main
    shlibs = create_binary(transformer, options, args)
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 357, in create_binary
    gdump_parser.parse()
  File "/usr/lib64/gobject-introspection/giscanner/gdumpparser.py", line 110, in parse
    tree = self._execute_binary_get_tree()
  File "/usr/lib64/gobject-introspection/giscanner/gdumpparser.py", line 167, in _execute_binary_get_tree
    subprocess.check_call(args, stdout=sys.stdout, stderr=sys.stderr)
  File "/usr/lib64/python2.7/subprocess.py", line 506, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python2.7/subprocess.py", line 493, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib64/python2.7/subprocess.py", line 1291, in wait
    pid, sts = _eintr_retry_call(os.waitpid, self.pid, 0)
  File "/usr/lib64/python2.7/subprocess.py", line 478, in _eintr_retry_call
    return func(*args)
KeyboardInterrupt
make[1]: *** [WebKit-3.0.gir] Error 1
make: *** [all] Interrupt
Comment 27 Pacho Ramos gentoo-dev 2013-04-13 22:09:35 UTC
Probably rebuilding it with MAKEOPTS="-j1" and running "ps axu | less" will help you to get exact line (probably related with g-ir-scanner) that is hung
Comment 28 Pacho Ramos gentoo-dev 2013-04-13 22:16:24 UTC
Maybe you could try git ebuild for gobject-introspection-* from gnome-overlay as looks like some fixes for gir-scanner landed in master recently :/
Comment 29 Harris Landgarten 2013-04-13 23:15:24 UTC
I am currently building with gobject-introspection-9999. I don't think it will solve the problem because I don't think it is in gobject-introspection.

Remember, going to the build directory after the hang and running make completes the compile and runs the g-ir-scanner command to completion.

I think the problem has to do with a truncated command being sent to g-ir-scanner by the package-managers which involves a common tool dependency of both.

Will report back later.
Comment 30 Harris Landgarten 2013-04-14 02:14:34 UTC
As I expected it hung in the same place with the same long g-ir-scanner command line truncated in ps.:

/usr/bin/python2 /usr/bin/g-ir-scanner -v --warn-all --symbol-prefix=webkit --identifier-prefix=WebKit
 --namespace=WebKit --nsversion=3.0 --include=GObject-2.0 --include=Gtk-3.0 --include=JSCore-3.0 --include=Soup-2.4 --library=webkitgtk-3.0 --library=
javascriptcoregtk-3.0 --libtool=bash ./gir-paxctl-lt-wrapper m --pkg=gobject-2.0 --pkg=gtk+-3.0 --pkg=libsoup-2.4 --pkg-export=webkitgtk-3.0 --output=
WebKit-3.0.gir --add-include-path=./Source/WebKit/gtk --add-include-path=. --c-include=webkit/webkit.h -DBUILDING_WEBKIT -I./Source -I./Source/WebKit/
gtk -I./DerivedSources -I./DerivedSources/webkitdom -I./DerivedSources/webkit -I./Source/WebKit/gtk -I./Source/JavaScriptCore/ForwardingHeaders -I. ./
DerivedSources/webkit/webkitenumtypes.h Source/WebKit/gtk/webkit/webkitversion.h ./Source/WebKit/gtk/webkit/webkit.h ./Source/WebKit/gtk/webkit/webkit
applicationcache.h ./Source/WebKit/gtk/webkit/webkitdefines.h ./Source/WebKit/gtk/webkit/webkitdom.h ./Source/WebKit/gtk/webkit/webkitdownload.h ./Sou
rce/WebKit/gtk/webkit/webkiterror.h ./Source/WebKit/gtk/webkit/webkitfavicondatabase.h ./Source/WebKit/gtk/webkit/webkitfilechooserrequest.h ./Source/
WebKit/gtk/webkit/webkitgeolocationpolicydecision.h ./Source/WebKit/gtk/webkit/webkitglobals.h ./Source/WebKit/gtk/webkit/webkithittestresult.h ./Sour
ce/WebKit/gtk/webkit/webkiticondatabase.h ./Source/WebKit/gtk/webkit/webkitnetworkrequest.h ./Source/WebKit/gtk/webkit/webkitnetworkresponse.h ./Sourc
e/WebKit/gtk/webkit/webkitsecurityorigin.h ./Source/WebKit/gtk/webkit/webkitsoupauthdialog.h ./Source/WebKit/gtk/webkit/webkitspellchecker.h ./Source/
WebKit/gtk/webkit/webkitviewportattributes.h ./Source/WebKit/gtk/webkit/webkitwebbackforwardlist.h ./Source/WebKit/gtk/webkit/webkitwebdatabase.h ./So
urce/WebKit/gtk/webkit/webkitwebdatasource.h ./Source/WebKit/gtk/webkit/webkitwebframe.h ./Source/WebKit/gtk/webkit/webkitwebhistoryitem.h ./Source/We
bKit/gtk/webkit/webkitwebinspector.h ./Source/WebKit/gtk/webkit/webkitwebnavigationaction.h ./Source/WebKit/gtk/webkit/webkitwebplugin.h ./Source/WebK
it/gtk/webkit/webkitwebplugindatabase.h ./Source/WebKit/gtk/webkit/webkitwebpolicydecision.h ./Source/WebKit/gtk/webkit/webkitwebresource.h ./Source/W
ebKit/gtk/webkit/webkitwebsettings.h ./Source/WebKit/gtk/webkit/webkitwebwindowfeatures.h ./Source/WebKit/gtk/webkit/webkitwebview.h DerivedSources/we
bkitdom/WebKitDOMCSSRule.h DerivedSources/webkitdom/WebKitDOMCSSRuleList.h DerivedSources/webkitdom/WebKitDOMCSSStyleDeclaration.h DerivedSources/webk
itdom/WebKitDOMCSSStyleSheet.h DerivedSources/webkitdom/WebKitDOMCSSValue.h DerivedSources/webkitdom/WebKitDOMMediaList.h DerivedSources/webkitdom/Web
KitDOMMediaQueryList.h DerivedSources/webkitdom/WebKitDOMStyleMedia.h DerivedSources/webkitdom/WebKitDOMStyleSheet.h DerivedSources/webkitdom/WebKitDO
MStyleSheetList.h DerivedSources/webkitdom/WebKitDOMAttr.h DerivedSources/webkitdom/WebKitDOMCDATASection.h DerivedSources/webkitdom/WebKitDOMCharacte
rData.h DerivedSources/webkitdom/WebKitDOMComment.h DerivedSources/webkitdom/WebKitDOMDocument.h DerivedSources/webkitdom/WebKitDOMDocumentFragment.h 
DerivedSources/webkitdom/WebKitDOMDocumentType.h DerivedSources/webkitdom/WebKitDOMDOMImplementation.h DerivedSources/webkitdom/WebKitDOMDOMNamedFlowC
ollection.h DerivedSources/webkitdom/WebKitDOMDOMSettableTokenList.h DerivedSources/webkitdom/WebKitDOMDOMSecurityPolicy.h DerivedSources/webkitdom/We
bKitDOMDOMStringList.h DerivedSources/webkitdom/WebKitDOMDOMStringMap.h DerivedSources/webkitdom/WebKitDOMDOMTokenList.h DerivedSources/webkitdom/WebK
itDOMElement.h DerivedSources/webkitdom/WebKitDOMEntityReference.h DerivedSources/webkitdom/WebKitDOMEvent.h DerivedSources/webkitdom/WebKitDOMMessage
Port.h DerivedSources/webkitdom/WebKitDOMMouseEvent.h DerivedSources/webkitdom/WebKitDOMNamedNodeMap.h DerivedSources/webkitdom/WebKitDOMNode.h Derive
dSources/webkitdom/WebKitDOMNodeFilter.h DerivedSources/webkitdom/WebKitDOMNodeIterator.h DerivedSources/webkitdom/WebKitDOMNodeList.h DerivedSources/
webkitdom/WebKitDOMProcessingInstruction.h DerivedSources/webkitdom/WebKitDOMRange.h DerivedSo

When I run make on the build directory this is the full command that runs to completion:

/bin/mkdir -p ./.deps/DerivedSources
LIBTOOL="/bin/sh ./libtool" /usr/bin/g-ir-scanner -v --warn-all \
     --symbol-prefix=webkit \
     --identifier-prefix=WebKit \
     --namespace=WebKit \
     --nsversion=3.0 \
     --include=GObject-2.0 \
     --include=Gtk-3.0 \
     --include=JSCore-3.0 \
     --include=Soup-2.4 \
     --library=webkitgtk-3.0 \
     --library=javascriptcoregtk-3.0 \
     --libtool="bash ./gir-paxctl-lt-wrapper m" \
     --pkg=gobject-2.0 \
     --pkg=gtk+-3.0 \
     --pkg=libsoup-2.4 \
     --pkg-export=webkitgtk-3.0 \
     --output=WebKit-3.0.gir \
     --add-include-path=./Source/WebKit/gtk \
     --add-include-path=. \
     --c-include="webkit/webkit.h" \
     -DBUILDING_WEBKIT \
     -I./Source \
     -I./Source/WebKit/gtk \
     -I./DerivedSources \
     -I./DerivedSources/webkitdom \
     -I./DerivedSources/webkit \
     -I./Source/WebKit/gtk \
     -I./Source/JavaScriptCore/ForwardingHeaders \
     -I. \
     ./DerivedSources/webkit/webkitenumtypes.h \
     Source/WebKit/gtk/webkit/webkitversion.h ./Source/WebKit/gtk/webkit/webkit.h ./Source/WebKit/gtk/webkit/webkitapplicationcache.h ./Source/WebKit/gtk/webkit/webkitdefines.h ./Source/WebKit/gtk/webkit/webkitdom.h ./Source/WebKit/gtk/webkit/webkitdownload.h ./Source/WebKit/gtk/webkit/webkiterror.h ./Source/WebKit/gtk/webkit/webkitfavicondatabase.h ./Source/WebKit/gtk/webkit/webkitfilechooserrequest.h ./Source/WebKit/gtk/webkit/webkitgeolocationpolicydecision.h ./Source/WebKit/gtk/webkit/webkitglobals.h ./Source/WebKit/gtk/webkit/webkithittestresult.h ./Source/WebKit/gtk/webkit/webkiticondatabase.h ./Source/WebKit/gtk/webkit/webkitnetworkrequest.h ./Source/WebKit/gtk/webkit/webkitnetworkresponse.h ./Source/WebKit/gtk/webkit/webkitsecurityorigin.h ./Source/WebKit/gtk/webkit/webkitsoupauthdialog.h ./Source/WebKit/gtk/webkit/webkitspellchecker.h ./Source/WebKit/gtk/webkit/webkitviewportattributes.h ./Source/WebKit/gtk/webkit/webkitwebbackforwardlist.h ./Source/WebKit/gtk/webkit/webkitwebdatabase.h ./Source/WebKit/gtk/webkit/webkitwebdatasource.h ./Source/WebKit/gtk/webkit/webkitwebframe.h ./Source/WebKit/gtk/webkit/webkitwebhistoryitem.h ./Source/WebKit/gtk/webkit/webkitwebinspector.h ./Source/WebKit/gtk/webkit/webkitwebnavigationaction.h ./Source/WebKit/gtk/webkit/webkitwebplugin.h ./Source/WebKit/gtk/webkit/webkitwebplugindatabase.h ./Source/WebKit/gtk/webkit/webkitwebpolicydecision.h ./Source/WebKit/gtk/webkit/webkitwebresource.h ./Source/WebKit/gtk/webkit/webkitwebsettings.h ./Source/WebKit/gtk/webkit/webkitwebwindowfeatures.h ./Source/WebKit/gtk/webkit/webkitwebview.h \
     DerivedSources/webkitdom/WebKitDOMCSSRule.h DerivedSources/webkitdom/WebKitDOMCSSRuleList.h DerivedSources/webkitdom/WebKitDOMCSSStyleDeclaration.h DerivedSources/webkitdom/WebKitDOMCSSStyleSheet.h DerivedSources/webkitdom/WebKitDOMCSSValue.h DerivedSources/webkitdom/WebKitDOMMediaList.h DerivedSources/webkitdom/WebKitDOMMediaQueryList.h DerivedSources/webkitdom/WebKitDOMStyleMedia.h DerivedSources/webkitdom/WebKitDOMStyleSheet.h DerivedSources/webkitdom/WebKitDOMStyleSheetList.h DerivedSources/webkitdom/WebKitDOMAttr.h DerivedSources/webkitdom/WebKitDOMCDATASection.h DerivedSources/webkitdom/WebKitDOMCharacterData.h DerivedSources/webkitdom/WebKitDOMComment.h DerivedSources/webkitdom/WebKitDOMDocument.h DerivedSources/webkitdom/WebKitDOMDocumentFragment.h DerivedSources/webkitdom/WebKitDOMDocumentType.h DerivedSources/webkitdom/WebKitDOMDOMImplementation.h DerivedSources/webkitdom/WebKitDOMDOMNamedFlowCollection.h DerivedSources/webkitdom/WebKitDOMDOMSettableTokenList.h DerivedSources/webkitdom/WebKitDOMDOMSecurityPolicy.h DerivedSources/webkitdom/WebKitDOMDOMStringList.h DerivedSources/webkitdom/WebKitDOMDOMStringMap.h DerivedSources/webkitdom/WebKitDOMDOMTokenList.h DerivedSources/webkitdom/WebKitDOMElement.h DerivedSources/webkitdom/WebKitDOMEntityReference.h DerivedSources/webkitdom/WebKitDOMEvent.h DerivedSources/webkitdom/WebKitDOMMessagePort.h DerivedSources/webkitdom/WebKitDOMMouseEvent.h DerivedSources/webkitdom/WebKitDOMNamedNodeMap.h DerivedSources/webkitdom/WebKitDOMNode.h DerivedSources/webkitdom/WebKitDOMNodeFilter.h DerivedSources/webkitdom/WebKitDOMNodeIterator.h DerivedSources/webkitdom/WebKitDOMNodeList.h DerivedSources/webkitdom/WebKitDOMProcessingInstruction.h DerivedSources/webkitdom/WebKitDOMRange.h DerivedSources/webkitdom/WebKitDOMText.h DerivedSources/webkitdom/WebKitDOMTreeWalker.h DerivedSources/webkitdom/WebKitDOMUIEvent.h DerivedSources/webkitdom/WebKitDOMBlob.h DerivedSources/webkitdom/WebKitDOMFile.h DerivedSources/webkitdom/WebKitDOMFileList.h DerivedSources/webkitdom/WebKitDOMGamepad.h DerivedSources/webkitdom/WebKitDOMGamepadList.h DerivedSources/webkitdom/WebKitDOMGeolocation.h DerivedSources/webkitdom/WebKitDOMHTMLAnchorElement.h DerivedSources/webkitdom/WebKitDOMHTMLAppletElement.h DerivedSources/webkitdom/WebKitDOMHTMLAreaElement.h DerivedSources/webkitdom/WebKitDOMHTMLBaseElement.h DerivedSources/webkitdom/WebKitDOMHTMLBaseFontElement.h DerivedSources/webkitdom/WebKitDOMHTMLBodyElement.h DerivedSources/webkitdom/WebKitDOMHTMLBRElement.h DerivedSources/webkitdom/WebKitDOMHTMLButtonElement.h DerivedSources/webkitdom/WebKitDOMHTMLCanvasElement.h DerivedSources/webkitdom/WebKitDOMHTMLCollection.h DerivedSources/webkitdom/WebKitDOMHTMLDirectoryElement.h DerivedSources/webkitdom/WebKitDOMHTMLDivElement.h DerivedSources/webkitdom/WebKitDOMHTMLDListElement.h DerivedSources/webkitdom/WebKitDOMHTMLDocument.h DerivedSources/webkitdom/WebKitDOMHTMLDetailsElement.h DerivedSources/webkitdom/WebKitDOMHTMLElement.h DerivedSources/webkitdom/WebKitDOMHTMLEmbedElement.h DerivedSources/webkitdom/WebKitDOMHTMLFieldSetElement.h DerivedSources/webkitdom/WebKitDOMHTMLFontElement.h DerivedSources/webkitdom/WebKitDOMHTMLFormElement.h DerivedSources/webkitdom/WebKitDOMHTMLFrameElement.h DerivedSources/webkitdom/WebKitDOMHTMLFrameSetElement.h DerivedSources/webkitdom/WebKitDOMHTMLHeadElement.h DerivedSources/webkitdom/WebKitDOMHTMLHeadingElement.h DerivedSources/webkitdom/WebKitDOMHTMLHRElement.h DerivedSources/webkitdom/WebKitDOMHTMLHtmlElement.h DerivedSources/webkitdom/WebKitDOMHTMLIFrameElement.h DerivedSources/webkitdom/WebKitDOMHTMLImageElement.h DerivedSources/webkitdom/WebKitDOMHTMLInputElement.h DerivedSources/webkitdom/WebKitDOMHTMLKeygenElement.h DerivedSources/webkitdom/WebKitDOMHTMLLabelElement.h DerivedSources/webkitdom/WebKitDOMHTMLLegendElement.h DerivedSources/webkitdom/WebKitDOMHTMLLIElement.h DerivedSources/webkitdom/WebKitDOMHTMLLinkElement.h DerivedSources/webkitdom/WebKitDOMHTMLMapElement.h DerivedSources/webkitdom/WebKitDOMHTMLMarqueeElement.h DerivedSources/webkitdom/WebKitDOMHTMLMediaElement.h DerivedSources/webkitdom/WebKitDOMHTMLMenuElement.h DerivedSources/webkitdom/WebKitDOMHTMLMetaElement.h DerivedSources/webkitdom/WebKitDOMHTMLModElement.h DerivedSources/webkitdom/WebKitDOMHTMLObjectElement.h DerivedSources/webkitdom/WebKitDOMHTMLOListElement.h DerivedSources/webkitdom/WebKitDOMHTMLOptGroupElement.h DerivedSources/webkitdom/WebKitDOMHTMLOptionElement.h DerivedSources/webkitdom/WebKitDOMHTMLOptionsCollection.h DerivedSources/webkitdom/WebKitDOMHTMLParagraphElement.h DerivedSources/webkitdom/WebKitDOMHTMLParamElement.h DerivedSources/webkitdom/WebKitDOMHTMLPreElement.h DerivedSources/webkitdom/WebKitDOMHTMLPropertiesCollection.h DerivedSources/webkitdom/WebKitDOMHTMLQuoteElement.h DerivedSources/webkitdom/WebKitDOMHTMLScriptElement.h DerivedSources/webkitdom/WebKitDOMHTMLSelectElement.h DerivedSources/webkitdom/WebKitDOMHTMLStyleElement.h DerivedSources/webkitdom/WebKitDOMHTMLTableElement.h DerivedSources/webkitdom/WebKitDOMHTMLTableCaptionElement.h DerivedSources/webkitdom/WebKitDOMHTMLTableColElement.h DerivedSources/webkitdom/WebKitDOMHTMLTableSectionElement.h DerivedSources/webkitdom/WebKitDOMHTMLTableCellElement.h DerivedSources/webkitdom/WebKitDOMHTMLTextAreaElement.h DerivedSources/webkitdom/WebKitDOMHTMLTitleElement.h DerivedSources/webkitdom/WebKitDOMHTMLTableRowElement.h DerivedSources/webkitdom/WebKitDOMHTMLUListElement.h DerivedSources/webkitdom/WebKitDOMMediaError.h DerivedSources/webkitdom/WebKitDOMTimeRanges.h DerivedSources/webkitdom/WebKitDOMValidityState.h DerivedSources/webkitdom/WebKitDOMDOMApplicationCache.h DerivedSources/webkitdom/WebKitDOMBarInfo.h DerivedSources/webkitdom/WebKitDOMConsole.h DerivedSources/webkitdom/WebKitDOMCustom.h DerivedSources/webkitdom/WebKitDOMDOMWindowCSS.h DerivedSources/webkitdom/WebKitDOMDOMWindow.h DerivedSources/webkitdom/WebKitDOMDOMSelection.h DerivedSources/webkitdom/WebKitDOMEventTarget.h DerivedSources/webkitdom/WebKitDOMHistory.h DerivedSources/webkitdom/WebKitDOMLocation.h DerivedSources/webkitdom/WebKitDOMMemoryInfo.h DerivedSources/webkitdom/WebKitDOMMicroDataItemValue.h DerivedSources/webkitdom/WebKitDOMObject.h DerivedSources/webkitdom/WebKitDOMNavigator.h DerivedSources/webkitdom/WebKitDOMPropertyNodeList.h DerivedSources/webkitdom/WebKitDOMScreen.h DerivedSources/webkitdom/WebKitDOMShadowRoot.h DerivedSources/webkitdom/WebKitDOMWebKitPoint.h DerivedSources/webkitdom/WebKitDOMWebKitNamedFlow.h DerivedSources/webkitdom/WebKitDOMDOMMimeType.h DerivedSources/webkitdom/WebKitDOMDOMMimeTypeArray.h DerivedSources/webkitdom/WebKitDOMDOMPlugin.h DerivedSources/webkitdom/WebKitDOMDOMPluginArray.h DerivedSources/webkitdom/WebKitDOMDatabase.h DerivedSources/webkitdom/WebKitDOMStorage.h DerivedSources/webkitdom/WebKitDOMStorageInfo.h DerivedSources/webkitdom/WebKitDOMXPathExpression.h DerivedSources/webkitdom/WebKitDOMXPathNSResolver.h DerivedSources/webkitdom/WebKitDOMXPathResult.h DerivedSources/webkitdom/WebKitDOMPerformance.h DerivedSources/webkitdom/WebKitDOMPerformanceEntry.h DerivedSources/webkitdom/WebKitDOMPerformanceEntryList.h DerivedSources/webkitdom/WebKitDOMPerformanceNavigation.h DerivedSources/webkitdom/WebKitDOMPerformanceTiming.h DerivedSources/webkitdom/webkitdom.h DerivedSources/webkitdom/webkitdomdefines.h ./DerivedSources/webkitdom/WebKitDOMHTMLAudioElement.h ./DerivedSources/webkitdom/WebKitDOMHTMLVideoElement.h ./DerivedSources/webkitdom/WebKitDOMTextTrack.h ./DerivedSources/webkitdom/WebKitDOMTextTrackList.h ./DerivedSources/webkitdom/WebKitDOMTextTrackCue.h ./DerivedSources/webkitdom/WebKitDOMTextTrackCueList.h ./DerivedSources/webkitdom/WebKitDOMTrackEvent.h \
     ./Source/WebKit/gtk/webkit/*.cpp

As you can see there is a lot of the command line missing from ps. 

I am going to see if I can find what ebuild compile is doing that is the same as paludis in executing this command.
Comment 31 Pacho Ramos gentoo-dev 2013-04-14 09:45:59 UTC
(In reply to comment #30)
[...]
> When I run make on the build directory this is the full command that runs to
> completion:
[...]

What does occur if you manually run make from start point (just after src_configure phase ends) instead of only after getting the failure?

(Will also CC portage/paludis maintainers to see if they figure out how could this be caused by PMs)
Comment 32 Harris Landgarten 2013-04-14 11:20:14 UTC
I did the following:

sudo cave resolve webkit-gtk -1zx --abort-at-phase compile

that ran all configuration and stopped before compile phase.

I then cd to build directory and ran make -j13

The compile ran to completion with warnings but no errors.

I then ran

sudo cave resolve webkit-gtk -1zx --skip-until-phase install

and the installation ran to completion
Comment 33 Zac Medico gentoo-dev 2013-04-14 20:25:18 UTC
(In reply to comment #26)
> just tried again with portage. Same hang in same place. After a ctrl-c
> portage spit out some info which could be helpful:
> 
> Exiting on signal 2
> sandbox:stop  caught signal 2 in pid 5869
> sandbox:stop  signal already caught and busy still cleaning up!
> Traceback (most recent call last):
>   File "/usr/bin/g-ir-scanner", line 46, in <module>
>     sys.exit(scanner_main(sys.argv))
>   File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line
> 462, in scanner_main
>     shlibs = create_binary(transformer, options, args)
>   File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line
> 357, in create_binary
>     gdump_parser.parse()
>   File "/usr/lib64/gobject-introspection/giscanner/gdumpparser.py", line
> 110, in parse
>     tree = self._execute_binary_get_tree()
>   File "/usr/lib64/gobject-introspection/giscanner/gdumpparser.py", line
> 167, in _execute_binary_get_tree
>     subprocess.check_call(args, stdout=sys.stdout, stderr=sys.stderr)
>   File "/usr/lib64/python2.7/subprocess.py", line 506, in check_call
>     retcode = call(*popenargs, **kwargs)
>   File "/usr/lib64/python2.7/subprocess.py", line 493, in call
>     return Popen(*popenargs, **kwargs).wait()
>   File "/usr/lib64/python2.7/subprocess.py", line 1291, in wait
>     pid, sts = _eintr_retry_call(os.waitpid, self.pid, 0)
>   File "/usr/lib64/python2.7/subprocess.py", line 478, in _eintr_retry_call
>     return func(*args)
> KeyboardInterrupt
> make[1]: *** [WebKit-3.0.gir] Error 1
> make: *** [all] Interrupt

It looks like g-ir-scanner is waiting on a subprocess, which may be hung. You could use pstree or `ps axf` to identify the subprocess of g-ir-scanner.
Comment 34 Harris Landgarten 2013-04-14 21:26:01 UTC
I don't believe the issue is in g-ir-scanner. I believe the input on the command line is being truncated and g-ir-scanner is hung waiting for the rest of the command string just like a utility waiting for standard input. If g-ir-scanner was the issue it would be repeatable when running make directly.
Comment 35 Zac Medico gentoo-dev 2013-04-14 22:32:36 UTC
(In reply to comment #34)
> I don't believe the issue is in g-ir-scanner. I believe the input on the
> command line is being truncated

It's normal for ps to truncate the command line, so if you think that's the problem, then you're probably mistaken.

> and g-ir-scanner is hung waiting for the
> rest of the command string just like a utility waiting for standard input.

The traceback clearly shows that you interrupted it during a waitpid call. It also shows that the subprocess inherits stdout and stderr streams from the parent g-ir-scanner process, so the parent g-ir-scanner process is clearly not waiting to read from those streams.
Comment 36 Zac Medico gentoo-dev 2013-04-14 23:05:07 UTC
Note that you can avoid having ps truncate the arguments by redirecting the output to a file or piping it through cat. For example:

   ps axf > ps.out
   ps axf | cat

It also seems to have --cols, --columns, and --width options that I haven't tried myself.

(In reply to comment #34)
> I don't believe the issue is in g-ir-scanner. I believe the input on the
> command line is being truncated and g-ir-scanner is hung waiting for the
> rest of the command string just like a utility waiting for standard input.

It's impossible for a program to wait for arguments. All of the arguments have to be provided to the execve function *before* the program is called (see `man execve`).
Comment 37 Harris Landgarten 2013-04-14 23:11:15 UTC
looks like this is where it is hung:

/var/tmp/paludis/net-libs-webkit-gtk-2.0.0/work/webkitgtk-2.0.0/tmp-introspect2
xEsqJ/.libs/WebKit-3.0 --introspect-dump=/var/tmp/paludis/net-libs-webkit-gtk-2.0.0/work/webkitgtk-2.0.0/tmp-introspect2xEsqJ/functions.txt,/var/tmp/p
aludis/net-libs-webkit-gtk-2.0.0/work/webkitgtk-2.0.0/tmp-introspect2xEsqJ/dump.xml

that is the only process hanging off the big g-ir-scanner command.
Comment 38 Harris Landgarten 2013-04-14 23:14:21 UTC
Also note that it doesn't hang every time. It hangs about 95% of the time. The first compile I did getting the info you wanted completed. It was the first time is a few days after 20 failures. I tried again and it hung. I suspect a race condition that is hard to reproduce.
Comment 39 Harris Landgarten 2013-04-14 23:21:50 UTC
here is a listing of the contents of the tmp directory referenced in the possibly hung command

tmp-introspect2xEsqJ # ls -l
total 208
-rw-r--r-- 1 root root 119815 Apr 14 19:03 dump.xml
-rw-r--r-- 1 root root   8666 Apr 14 19:03 functions.txt
-rwxr-xr-x 1 root root   6888 Apr 14 19:03 WebKit-3.0
-rw-r--r-- 1 root root  33774 Apr 14 19:03 WebKit-3.0.c
-rw-r--r-- 1 root root  31584 Apr 14 19:03 WebKit-3.0.o
Comment 40 Pacho Ramos gentoo-dev 2013-07-27 11:55:19 UTC
are you still suffering this with 2.0.4?
Comment 41 Harris Landgarten 2013-07-27 12:59:30 UTC
yes same as 2.03. Hangs is same place. I work around by manually running make on the build directory and then running

cave resolve webkit-gtk -z1x --skip-to-phase test

and that installs it and cleans things up.
Comment 42 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-07-28 14:41:05 UTC
For me, the process that hangs is is lt-WebKit-3.0, which gets launched by g-ir-scanner.

The command line is /var/tmp/portage/net-libs/webkit-gtk-2.0.4/work/webkitgtk-2.0.4/tmp-introspectBo73za/.libs/lt-WebKit-3.0 --introspect-dump=/var/tmp/portage/net-libs/webkit-gtk-2.0.4/work/webkitgtk-2.0.4/tmp-introspectBo73za/functions.txt,/var/tmp/portage/net-libs/webkit-gtk-2.0.4/work/webkitgtk-2.0.4/tmp-introspectBo73za/dump.xml
Comment 43 Pacho Ramos gentoo-dev 2013-07-28 14:52:00 UTC
Not sure if attaching gdb to hung process could help :/
Comment 44 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-07-30 04:11:03 UTC
Created attachment 354574 [details]
gdb backtrace

Backtrace attached.

The interesting bit:

#5  0x00007f47f3b6760c in ?? () from /usr/lib64/libGL.so.1
#6  0x00007f47f3b68450 in ?? () from /usr/lib64/libGL.so.1
#7  0x00007f47f3b6f74d in ?? () from /usr/lib64/libGL.so.1
#8  0x00007f47f3b67ac5 in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f47f7b38b4c in dl_open_worker (a=a@entry=0x7fffd0e4f3e8)
    at dl-open.c:297

On the machine where I am hitting this bug, /usr/lib64/libGL.so.1 comes from nvidia-drivers!

Anyone else who is experiencing this: are you using nvidia-drivers?
Comment 45 Harris Landgarten 2013-07-30 13:13:52 UTC
I am using nvidia-drivers
Comment 46 nE0sIghT 2013-07-30 15:00:08 UTC
I'm too
Comment 47 Damien Granger 2013-08-01 13:12:54 UTC
Hi, I ran into this one today (again) and dig a bit (I'm using portage emerge, not paludis, but I'm also on nvidia-drivers).

All CPU @0% for more than 15minutes, so something is clearly hanging.

# pstree -pU 11632
emerge(11632)───sandbox(1465)───ebuild.sh(1471)───ebuild.sh(1513)───emake(372)───make(373)───g-ir-scanner(459)───WebKit-1.0(674)─┬─{WebKit-1.0}(688)
                                                                                                                                 ├─{WebKit-1.0}(689)
                                                                                                                                 └─{WebKit-1.0}(690)

I killed the process and got the build.log

Command '['/var/tmp/portage/net-libs/webkit-gtk-1.8.3-r201/work/webkit-1.8.3/tmp-introspectW2U80p/WebKit-1.0', '--introspect-dump=/var/tmp/portage/net-libs/webkit-gtk-1.8.3-r201/work/webkit-1.8.3/tmp-introspectW2U80p/functions.txt,/var/tmp/portage/net-libs/webkit-gtk-1.8.3-r201/work/webkit-1.8.3/tmp-introspectW2U80p/dump.xml']' returned non-zero exit status -9

This one confirms comment #42 from tetromino.
Comment 48 Pacho Ramos gentoo-dev 2013-08-01 18:17:05 UTC
What I don't know is how is this prevented when manually running "make"... maybe some variable is set in a different way? Maybe reviewing environment file we could see some variable to unset or similar :|
Comment 49 Damien Granger 2013-08-02 09:26:52 UTC
I still haven't managed to compile net-libs/webkit-gtk-1.8.3-r201 on amd64 since yesterday, so if I can help, I will gladly. (Notice I'm talking about a stable package here)
Comment 50 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-02 13:03:39 UTC
Created attachment 354912 [details]
"thread apply all bt full" backtrace

(in case someone will find this useful)
Comment 51 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-02 13:09:02 UTC
Diego, I remember you had helped diagnose webkit-gtk + nvidia-drivers + libproxy
weirdness in the past (bug 366791).

Do you have any suggestions as to what is going on here?
Comment 52 Harris Landgarten 2013-08-02 14:15:19 UTC
to add to the weirdness I had to rebuild 52 packages yesterday with jpeg api change and webkit-gtk was one off them.

I was ready to do a workaround make but it actually completed and did not stall.

race condition anyone?
Comment 53 Mike Doty (RETIRED) gentoo-dev 2013-08-07 01:10:44 UTC
Confirmed.  portage, amd64, g-ir-failure just hangs.
Comment 54 Pacho Ramos gentoo-dev 2013-08-07 09:48:23 UTC
Would be possible to add some kind of hack to point to xorg libGL.so while building only?
Comment 55 Pacho Ramos gentoo-dev 2013-08-08 06:22:59 UTC
(In reply to Pacho Ramos from comment #54)
> Would be possible to add some kind of hack to point to xorg libGL.so while
> building only?

net-misc/tigervnc/tigervnc-1.2.80_p5065.ebuild looks to do that, if anyone could try adapting webkit ebuild to follow the same logic for switching during building... :)
Comment 56 Doug Goldstein gentoo-dev 2013-08-14 14:45:17 UTC
Had this happen with webkit-gtk 2.0.4 with nvidia-drivers 325.15. I tested the workaround to confirm it.

# emerge -1 webkit-gtk
<.... hang during ebuild.sh install phase on g-ir-scanner>
ctrl-C
# echo "I_KNOW_WHAT_I_AM_DOING=1" >> /var/tmp/portage/net-libs/webkit-gtk-2.0.4/temp/environment
# eselect opengl set xorg-x11
# ebuild /usr/portage/net-libs/webkit-gtk/webkit-gtk-2.0.4.ebuild install qmerge
# eselect opengl set nvidia

Worked fine and saved me the hour and half rebuild of webkit-gtk. But confirms just switching libGL.so.1 after the build process and during the install process fixes the issue.
Comment 57 Harris Landgarten 2013-08-14 16:09:20 UTC
Doug,

problem is if you just cd to build dir and run make

Then do you install only emerge it will finish too without changing anything about opengl.

Test if the whole build from start to finish works with the switch in opengl.

I still think it is some sort of race condition because I get sucessful builds about 1 time each 20 attempts
Comment 58 Harris Landgarten 2013-08-14 16:44:14 UTC
Maybe some progress.

set opengl to x11 with eselect and tried webkit-gtk again from scratch.

It built to completion and installed.

I have had by rough could 3 good builds in 20 attempts prior so it is not a sure thing but looks good.

I will try again later a few times to confirm. Build takes 25 min for me.
Comment 59 forrestfunk81 2013-08-21 06:51:36 UTC
Same problem here with amd64 and nvidia drivers. I already tried more than 10 build attemps before, but nothing worked. Finally setting opengl to xorg-x11 did the trick. 

# eselect opengl set xorg-x11
# emerge -1 webkit-gtk
# eselect opengl set nvidia

In the forums is a thread for this bug. 

http://forums.gentoo.org/viewtopic-p-7377604.html
Comment 60 renato gallo 2013-09-18 22:43:03 UTC
it compiles but then gnome3 becomes unusable and with a black background, a patch of some sort to compile against nvidia would be better
Comment 61 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-10-10 14:18:38 UTC
Seems to be fixed by updating to nvidia-drivers-331.13 - I rebuilt webkit-gtk 6 times, all successfully.

https://devtalk.nvidia.com/default/topic/616907 states
> Fixed a bug that could cause a deadlock when forking from OpenGL programs which use some malloc implementations, such as TCMalloc.

so this does seem to have been an nvidia-drivers bug.

@nvidia-drivers maintainers, what are your stabilization plans - will 325.x be going stable before 331.x?
Comment 62 Jeroen Roovers gentoo-dev 2013-10-10 14:25:56 UTC
(In reply to Alexandre Rostovtsev from comment #61)
> @nvidia-drivers maintainers, what are your stabilization plans - will 325.x
> be going stable before 331.x?

331.13 is a beta, so it won't go stable at all. A greater version probably will.

325.x causes problems for several users, so thus far I have been disinclined to mark it stable.
Comment 63 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-10-10 23:44:10 UTC
Fixed by adding a pkg_pretend()/pkg_setup() fatal check for nvidia-drivers-325.* and $(eselect opengl show) = "nvidia" when doing a non-binary merge.

+  10 Oct 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+  webkit-gtk-1.8.3-r200.ebuild, webkit-gtk-1.8.3-r201.ebuild,
+  webkit-gtk-1.8.3-r300.ebuild, webkit-gtk-1.10.2-r300.ebuild,
+  webkit-gtk-2.0.4.ebuild:
+  Refuse to build if nvidia-drivers-325.* is the being used as the system
+  opengl library to avoid freeze while compiling (bug #463960, thanks to Harris
+  Landgarten, nE0sIghT and others for help in diagnosing the issue).
Comment 64 Pacho Ramos gentoo-dev 2013-11-03 18:07:26 UTC
Looks like 304.108 is also affected (I am now trying with xorg-x11)
Comment 65 Mark R. Pariente 2013-11-05 07:58:41 UTC
I'm afraid nvidia-drivers-331* is affected by this as well. I ran into this hang while building webkit-gtk-2.2.0 from the gnome-next overlay, 2 builds done, one failure and one success. I'm not sure whether webkit-gtk-2.0.4 is affected since according to my logs I've built it successfully 4/4 times in the past.
Comment 66 Pacho Ramos gentoo-dev 2013-11-05 21:33:13 UTC
(In reply to Pacho Ramos from comment #64)
> Looks like 304.108 is also affected (I am now trying with xorg-x11)

Finally wasn't able to know if it was due nvidia or lack of space (since it also looked to go out of space but hung instead of failing). But, after more than 5 hours compiling I won't try again -_- (I have had enough compiling hours this weekend updating to Gnome 3.8 some machines :S)
Comment 67 Igor 2013-12-03 18:21:16 UTC
Guys, I hit this problem on illumos, this looks like a solution:

http://cgit.osdyson.org/pkg-webkit/webkit.git/tree/debian/patches/dyson-g-ir-scanner-hangs.patch?h=unstable&id=ae705bbaacd20cab2414bbdcf2f394d2ac6a7c4e

Index: webkit/Source/WebKit/gtk/webkit/webkitglobals.cpp
===================================================================
--- webkit.orig/Source/WebKit/gtk/webkit/webkitglobals.cpp	2013-12-02 00:06:10.504150531 +0400
+++ webkit/Source/WebKit/gtk/webkit/webkitglobals.cpp	2013-12-03 14:08:05.956932011 +0400
@@ -564,6 +564,14 @@
 
     WebCore::SchemeRegistry::registerURLSchemeAsLocal("resource");
 
+    // http://osdyson.org/issues/161
+    // WebKitGTK FTBFS when building GObject introspection due to deadlock.
+    // When gobject introspection is done, a simple program call exit()
+    // exit() -> webkitExit() -> g_object_unref() -> webkit_get_default_session()
+    // -> ResourceHandle::defaultSession() => default session doesn't exist! AND
+    // we try to create it! Thus deadlock. So, create default session earlier:
+    (void) webkit_get_default_session();
+
     atexit(webkitExit);
 }
Comment 68 Harris Landgarten 2013-12-03 19:53:05 UTC
Webkit-gtk built to completion with the patch referenced in #67 with nvidia-drivers and opengl using nvidia

Maybe this bug is fixed. Need confirmation from some else.
Comment 69 Pacho Ramos gentoo-dev 2013-12-04 19:15:35 UTC
Did you test with "bogus" nvidia drivers versions? I am asking that because I am unsure if it's only workarounding a nvidia-drivers problem, in that case I doubt upstream (webkitgtk) would accept the patch :/ (we tend to send all patches to upstream for trying to get them included in the future)
Comment 70 Harris Landgarten 2013-12-04 20:43:24 UTC
all I did was build without eselect opengl x11 first and it completed.
Comment 71 Pacho Ramos gentoo-dev 2013-12-04 20:50:00 UTC
But the nvidia-drivers version is important, since this only occurs with some versions (as the check in ebuild verifies)
Comment 72 Harris Landgarten 2013-12-04 21:10:42 UTC
I am running 331.20 but will try with 325 this weekend if I have time.
Comment 73 Pacho Ramos gentoo-dev 2013-12-12 21:30:39 UTC
*** Bug 493832 has been marked as a duplicate of this bug. ***
Comment 74 Pacho Ramos gentoo-dev 2013-12-12 21:31:17 UTC
Looks like there are other people hitting this with other nvidia-drivers versions:
https://bugs.gentoo.org/show_bug.cgi?id=493832#c9
Comment 75 Leho Kraav (:macmaN @lkraav) 2013-12-23 10:54:04 UTC
I'm hitting this with nvidia-drivers-304.88
Comment 76 Leho Kraav (:macmaN @lkraav) 2013-12-23 11:22:55 UTC
(In reply to Leho Kraav (:macmaN @lkraav) from comment #75)
> I'm hitting this with nvidia-drivers-304.88

Patch from comment #67 seems to have helped.

Comment #56 helps not having to rebuild everything for this.

# emerge -1 webkit-gtk
<.... hang during ebuild.sh install phase on g-ir-scanner>
ctrl-C
# cd /var/tmp/portage/net-libs/webkit-gtk-2.0.4/work/
# vim Source/WebKit/gtk/webkit/webkitglobals.cpp
# make -j5
# ebuild /usr/portage/net-libs/webkit-gtk/webkit-gtk-2.0.4.ebuild install qmerge

Everything worked?

# ebuild /usr/portage/net-libs/webkit-gtk/webkit-gtk-2.0.4.ebuild clean
Comment 77 Juanlu Pérez 2013-12-24 21:45:17 UTC
I'm facing this same problem with x11-drivers/nvidia-drivers-304.116
Comment 78 Pacho Ramos gentoo-dev 2013-12-25 13:33:10 UTC
*** Bug 495990 has been marked as a duplicate of this bug. ***
Comment 79 Pacho Ramos gentoo-dev 2014-01-10 19:47:46 UTC
*** Bug 497672 has been marked as a duplicate of this bug. ***
Comment 80 Fabio Bonfante 2014-01-18 14:03:50 UTC
Still same problem with webkit-gtk-2.0.4 and
* x11-drivers/nvidia-drivers-331.20
* x11-drivers/nvidia-drivers-331.38

Trying with 
# eselect opengl set xorg-x11 

before installing. I'll let you know asap.
Comment 81 Fabio Bonfante 2014-01-18 16:31:21 UTC
# eselect opengl set xorg-x11 
before emerge webkit-gtk, works for me!
Comment 82 Marko Weber Bürgermeister 2014-01-18 18:20:06 UTC
hmmm...
Comment 83 Harris Landgarten 2014-01-18 20:31:58 UTC
Since applying the patch from #67 I am able to emerge webkit-gtk without issue using the latest nvidia-drivers.

Could be just a placebo effect. Give it a try and see if if works for you. I am posting it as a patch.
Comment 84 Harris Landgarten 2014-01-18 20:33:07 UTC
Created attachment 368116 [details, diff]
Possible fix to hangs from #67
Comment 85 Arnaud Launay 2014-01-27 19:32:51 UTC
Patch doesn't apply as such to net-libs/webkit-gtk-2.0.4 , but adding the line before the atexit() call made the trick. It completed compiling without a hitch.
Comment 86 Pacho Ramos gentoo-dev 2014-02-02 14:02:41 UTC
Still the case with 2.2.4?
Comment 87 Harris Landgarten 2014-02-03 17:21:16 UTC
I am getting hangs with 2.24 with or without patch. Can only work around by setting opengl to xorg. I am using nvidia-drivers-331.38
Comment 88 Anton Gubarkov 2014-02-07 19:44:42 UTC
I confirm consistent hang with webkit-gtk-2.2.4 and nvidia-drivers 331.38
Comment 89 Pacho Ramos gentoo-dev 2014-02-08 11:30:32 UTC
Isn't this patch working any long with 2.2.4?
http://cgit.osdyson.org/pkg-webkit/webkit.git/tree/debian/patches/dyson-g-ir-scanner-hangs.patch?h=unstable

(looks like they are still applying it for 2.2.x and 2.3.x)
Comment 90 Anton Gubarkov 2014-02-08 11:50:34 UTC
I dunno. I need more guidance to apply the patch via emerge.
Meanwhile eselect opengl x11;emerge -uv webkit-gtk; eselect opengl nvidia worked for my nvidia desktop.
I did a gnome update to 3.10 after webkit. Works like a charm.
Comment 91 Bernd Waibel 2014-02-10 12:47:13 UTC
I had to perform a new system install and now it compiled with nvidia-drivers 331.38 and webkit-gtk-2.2.4 without patching.
Comment 92 Pablo Yanez Trujillo 2014-02-12 20:14:42 UTC
I had yesterday the same problem, I fixed it with

cd /var/tmp/portage/net-libs/webkit-gtk-2.0.4/work/webkitgtk-2.0.4/ 
make # that did work
ebuild /usr/portage/net-libs/webkit-gtk/webkit-gtk-2.0.4.ebuild compile # that worked as well
ebuild /usr/portage/net-libs/webkit-gtk/webkit-gtk-2.0.4.ebuild install
ebuild /usr/portage/net-libs/webkit-gtk/webkit-gtk-2.0.4.ebuild postinst

When I restarted emerge webkit did not hang.

I always use FEATURES="keepwork" so that I can check why something breaks when it breaks

emerge --info
Portage 2.2.7 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.10.17-gentoo x86_64)
=================================================================
System uname: Linux-3.10.17-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.2
KiB Mem:    16310432 total,  13991396 free
KiB Swap:   33554428 total,  33554428 free
Timestamp of tree: Mon, 10 Feb 2014 20:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r3, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA @EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles keepwork merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/export/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cjk cli consolekit cracklib crypt cups cxx dbus directfb dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gpm gtk iconv ipv6 jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds qt3support qt4 readline sdl session spell sqlite sse sse2 ssl startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb vim-pager vim-syntax vorbis win32codecs wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB ja jp" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia vesa fbdev nv" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 93 Pacho Ramos gentoo-dev 2014-02-21 21:24:12 UTC
*** Bug 502012 has been marked as a duplicate of this bug. ***
Comment 94 Pacho Ramos gentoo-dev 2014-02-28 23:24:30 UTC
We are having two issues:
1. We already have a check for asking people to run eselect as indicated
when '=x11-drivers/nvidia-drivers-325*' is found. That was the versions
that were supposed to cause this issue but, per duplicates, looks like
more versions are affected. We could extend the check if people would
specify what versions are they currently running and having the same
problem (I can't do that as the laptop I run everyday only has the
integrated Intel card).
2. A patch is applied for this in other distributions:
http://cgit.osdyson.org/pkg-webkit/webkit.git/tree/debian/patches/dyson-g-ir-scanner-hangs.patch?h=unstable

But we are not sure if it still works with webkit-gtk-2.2.x (2.2.5 now)
and, then, if anyone could confirm, that would be really appreciated.
Comment 95 Jeroen Roovers gentoo-dev 2014-03-01 14:24:25 UTC
(In reply to Pacho Ramos from comment #94)
> We are having two issues:
> 1. We already have a check for asking people to run eselect as indicated
> when '=x11-drivers/nvidia-drivers-325*' is found.

You do what? Wow, that's so wrong.
Comment 96 Anton Gubarkov 2014-03-05 19:14:33 UTC
I have just tried to emerge webkit-gtk-2.2.5 with x11-drivers/nvidia-drivers-331.49.

The build hung at 
(process:15474): GLib-GObject-CRITICAL **: g_object_class_install_property: assertion 'class->set_property != NULL' failed
<command-line>:0:0: warning: "_FORTIFY_SOURCE" redefined [enabled by default]
/var/tmp/portage/net-libs/webkit-gtk-2.2.5/work/webkitgtk-2.2.5/tmp-introspectDLjLoN/WebKit2-3.0.c:1:0: note: this is the location of the previous definition

(process:15597): GLib-GObject-CRITICAL **: g_object_class_install_property: assertion 'class->set_property != NULL' failed
/usr/bin/g-ir-compiler --includedir ./Source/WebKit2 --includedir . WebKit2-3.0.gir -o WebKit2-3.0.typelib
^C

localhost ~ # eselect opengl set xorg-x11
localhost ~ # emerge -upv1 webkit-gtk 
localhost ~ # eselect opengl set nvidia

did the trick for me.
Comment 98 Pacho Ramos gentoo-dev 2014-03-08 09:58:52 UTC
+  08 Mar 2014; Pacho Ramos <pacho@gentoo.org>
+  +files/webkit-gtk-2.2.5-gir-nvidia-hangs.patch, webkit-gtk-2.2.5-r200.ebuild,
+  webkit-gtk-2.2.5.ebuild:
+  webkit-gtk can keep compiling forever due deadlock issue between gir and
+  nvidia-drivers, applied patch solves the issue (at least for me), bug #463960
+

I have just suffered it in one of the machines I maintain and the applied patch solves it. Please recheck with 2.2.5 (and ensure you have updated ebuild applying the patch)
Comment 99 nE0sIghT 2014-03-08 18:29:58 UTC
I confirm that the patch works well
Comment 100 David Abbott gentoo-dev 2014-03-08 20:33:08 UTC
Worked here on a mainly stable system, thanks
Comment 101 Pacho Ramos gentoo-dev 2014-03-08 20:47:43 UTC
Thanks for feedback
Comment 102 Anton Gubarkov 2014-03-09 18:47:50 UTC
I tried to re-build net-libs/webkit-gtk-2.2.5-r200 and I got a hang again. I did emerge --sync before and I did spot the patch webkit-gtk-2.2.5-gir-nvidia-hangs.patch was applied. I had to kill the build.


libtool: link: x86_64-pc-linux-gnu-g++ -fno-rtti -fno-strict-aliasing -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -mtune=native -O2 -pipe -fomit-frame-pointer -pthread -std=c++11 -Wno-c++11-compat -D_FORTIFY_SOURCE=2 -Wl,-O1 -Wl,--no-keep-memory -Wl,--reduce-memory-overheads -Wl,--no-demangle -o Programs/DumpRenderTree Source/WebCore/platform/gtk/Programs_DumpRenderTree-GtkVersioning.o Tools/DumpRenderTree/Programs_DumpRenderTree-DumpRenderTreeCommon.o Tools/DumpRenderTree/Programs_DumpRenderTree-AccessibilityController.o Tools/DumpRenderTree/Programs_DumpRenderTree-AccessibilityTextMarker.o Tools/DumpRenderTree/Programs_DumpRenderTree-AccessibilityUIElement.o Tools/DumpRenderTree/Programs_DumpRenderTree-CyclicRedundancyCheck.o Tools/DumpRenderTree/Programs_DumpRenderTree-GCController.o Tools/DumpRenderTree/Programs_DumpRenderTree-TestRunner.o Tools/DumpRenderTree/Programs_DumpRenderTree-PixelDumpSupport.o Tools/DumpRenderTree/Programs_DumpRenderTree-WorkQueue.o Tools/DumpRenderTree/atk/Programs_DumpRenderTree-AccessibilityCallbacksAtk.o Tools/DumpRenderTree/atk/Programs_DumpRenderTree-AccessibilityControllerAtk.o Tools/DumpRenderTree/atk/Programs_DumpRenderTree-AccessibilityUIElementAtk.o Tools/DumpRenderTree/cairo/Programs_DumpRenderTree-PixelDumpSupportCairo.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-AccessibilityControllerGtk.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-AccessibilityUIElementGtk.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-DumpRenderTree.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-EditingCallbacks.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-EventSender.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-GCControllerGtk.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-TestRunnerGtk.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-PixelDumpSupportGtk.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-SelfScrollingWebKitWebView.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-TextInputController.o Tools/DumpRenderTree/gtk/Programs_DumpRenderTree-WorkQueueItemGtk.o -Wl,--export-dynamic -pthread -pthread  -Wl,--as-needed ./.libs/libjavascriptcoregtk-1.0.so ./.libs/libwebkitgtk-1.0.so -L/usr/lib64 /var/tmp/portage/net-libs/webkit-gtk-2.2.5-r200/work/webkitgtk-2.2.5/.libs/libjavascriptcoregtk-1.0.so -lpthread -lenchant -lgeoclue -ldbus-glib-1 -ldbus-1 -lgstapp-1.0 -lgstaudio-1.0 -lgstfft-1.0 -lgstpbutils-1.0 -lgstvideo-1.0 -lgstbase-1.0 -lgstreamer-1.0 -ljpeg -lsecret-1 -lxslt -lrt -lxml2 -lGL -lEGL -ldl -lpng16 -lsqlite3 -licui18n -licuuc -licudata -lwebp -lXcomposite -lXdamage -lXfixes -lz ./.libs/libPlatform.a ./.libs/libPlatformGtk.a ./.libs/libWebCorePlatform.a ./.libs/libWebCoreModules.a ./.libs/libWebCoreInternals.a -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lpango-1.0 -lgmodule-2.0 -lgthread-2.0 -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lfontconfig -lfreetype -lharfbuzz-icu -lharfbuzz -lXrender -lXt -lX11 -pthread -Wl,-rpath -Wl,/var/tmp/portage/net-libs/webkit-gtk-2.2.5-r200/work/webkitgtk-2.2.5/.libs
Source/WebKit/gtk/webkit/webkitversion.h:37: Warning: WebKit: symbol='WEBKITGTK_API_VERSION': Unknown namespace for symbol 'WEBKITGTK_API_VERSION'
<command-line>:0:0: warning: "_FORTIFY_SOURCE" redefined [enabled by default]
/var/tmp/portage/net-libs/webkit-gtk-2.2.5-r200/work/webkitgtk-2.2.5/tmp-introspectxQhgPC/WebKit-1.0.c:1:0: note: this is the location of the previous definition
^C

Exiting on signal 2
sandbox:stop  caught signal 2 in pid 25160
sandbox:stop  signal already caught and busy still cleaning up!
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 46, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 474, in scanner_main
    shlibs = create_binary(transformer, options, args)
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 367, in create_binary
    gdump_parser.parse()
  File "/usr/lib64/gobject-introspection/giscanner/gdumpparser.py", line 110, in parse
    tree = self._execute_binary_get_tree()
  File "/usr/lib64/gobject-introspection/giscanner/gdumpparser.py", line 167, in _execute_binary_get_tree
    subprocess.check_call(args, stdout=sys.stdout, stderr=sys.stderr)
  File "/usr/lib64/python2.7/subprocess.py", line 537, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python2.7/subprocess.py", line 524, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib64/python2.7/subprocess.py", line 1357, in wait
    pid, sts = _eintr_retry_call(os.waitpid, self.pid, 0)
  File "/usr/lib64/python2.7/subprocess.py", line 478, in _eintr_retry_call
    return func(*args)
KeyboardInterrupt
make[1]: *** [WebKit-1.0.gir] Error 1
make: *** [all] Interrupt
Comment 103 Pacho Ramos gentoo-dev 2014-03-09 21:53:00 UTC
Attach full build.log please (you can compress it with bzip2)
Comment 104 Arnaud Launay 2014-03-09 23:01:57 UTC
Same thing here on both my desktop and laptop.

eselect opengl set xorg-x11; emerge -upv1 webkit-gtk; eselect opengl set nvidia

Did the trick this time, in the previous 2.0/1.8 webkit-gtk the patch worked...
Comment 105 Anton Gubarkov 2014-03-10 09:35:43 UTC
Created attachment 372264 [details]
2.2.5 build log hangs

requested build log
Comment 106 Pacho Ramos gentoo-dev 2014-03-10 21:03:19 UTC
What are your nvidia-drivers versions?
Comment 107 Anton Gubarkov 2014-03-11 04:48:12 UTC
[ebuild   R    ] x11-drivers/nvidia-drivers-331.49  USE="X acpi (multilib) tools -pax_kernel -uvm"
Comment 108 Max Klinger 2014-03-13 08:58:49 UTC
I see this as well on the 331 and 334 drivers and webkit-gtk 2.2.5.

I just want to add that emerging it with -introspection -geoloc also unsurprisingly makes it go away. So if you don't need that feature, like me, putting it into the package.use file is an easier workaround since it won't come up again on the next version.
Comment 109 Pacho Ramos gentoo-dev 2014-03-13 21:25:13 UTC
Upstream finally committed this:
http://trac.webkit.org/changeset/165467?format=diff&new=165467
Comment 110 Pacho Ramos gentoo-dev 2014-03-25 21:00:07 UTC
*** Bug 505692 has been marked as a duplicate of this bug. ***
Comment 111 wuos 2014-05-03 17:55:31 UTC
I have this problem with webkit-gtk-2.2.6-r200 and nvidia-drivers-304.121

In theory bug 
https://bugs.webkit.org/show_bug.cgi?id=125651
is fixed

And content of 
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/net-libs/webkit-gtk/webkit-gtk-2.2.6.ebuild?view=markup

mentions #125651

but it still does not work for me
Comment 112 Mariusz Ceier 2014-06-04 20:42:05 UTC
I had the same problem with net-libs/webkit-gtk-2.4.3 and net-libs/webkit-2.2.6 and x11-drivers/nvidia-drivers-337.25.
For me workaround was to unset DISPLAY environment variable - but I don't think that's reliable, because in the mean time I also restarted my laptop, and that could also have affected this bug.
Comment 113 Pacho Ramos gentoo-dev 2014-06-05 16:33:29 UTC
(In reply to Mariusz Ceier from comment #112)
> I had the same problem with net-libs/webkit-gtk-2.4.3 and
> net-libs/webkit-2.2.6 and x11-drivers/nvidia-drivers-337.25.
> For me workaround was to unset DISPLAY environment variable - but I don't
> think that's reliable, because in the mean time I also restarted my laptop,
> and that could also have affected this bug.

Maybe other people still hitting this could try the "unset DISPLAY" trick :/
Comment 114 Geoff Leach 2014-06-12 11:40:05 UTC
I hit same problem with webkit-gtk-2.4.3, using nvidia-drivers-340.17. As others report manual make in work directory with ebuild compile/qmerge/postinst works, but not really helping solve underlying problem.
Comment 115 nE0sIghT 2014-06-19 20:59:35 UTC
(In reply to Mariusz Ceier from comment #112)
> For me workaround was to unset DISPLAY environment variable

This helps me too
Comment 116 Pacho Ramos gentoo-dev 2014-06-21 20:00:39 UTC
+  21 Jun 2014; Pacho Ramos <pacho@gentoo.org> -webkit-gtk-2.4.1-r200.ebuild,
+  -webkit-gtk-2.4.1.ebuild, webkit-gtk-2.4.3-r200.ebuild,
+  webkit-gtk-2.4.3.ebuild:
+  Try to avoid issues like bug #463960
+
Comment 117 Fred Krogh 2014-07-16 13:45:55 UTC
Thanks, it did emerge with xorg-x11 selected for opengl.  It did have some complaints at the end, namely

 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * ./DerivedSources/JavaScriptCore/InspectorJSTypeBuilders.h:716:69: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
 * ./DerivedSources/JavaScriptCore/InspectorJSTypeBuilders.h:116:66: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
 * ./DerivedSources/JavaScriptCore/InspectorJSTypeBuilders.h:642:69: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
 * ./DerivedSources/JavaScriptCore/InspectorJSTypeBuilders.h:1476:68: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.
 * Homepage: http://www.webkitgtk.org/

I'll pass this info on to them.
Comment 118 Sam Jorna (wraeth) gentoo-dev 2014-07-22 04:53:11 UTC
i was encountering this issue as well. resolved with `unset DISPLAY ; emerge -1 webkit-gtk`

this was with packages:
 =net-libs/webkit-gtk-2.4.4
 =xorg-drivers/nvidia-drivers-340.24
Comment 119 nE0sIghT 2014-07-22 05:02:56 UTC
Most strange thing is that recently added "unset DISPLAY" in src_compile did not resolved issue. But manual "unset DISPLAY" before emerge do the trick
Comment 120 Sam Jorna (wraeth) gentoo-dev 2014-07-22 05:17:23 UTC
(In reply to nE0sIghT from comment #119)
> Most strange thing is that recently added "unset DISPLAY" in src_compile did
> not resolved issue. But manual "unset DISPLAY" before emerge do the trick

confirmed that this was built with the updated ebiuld:

cerberus ~ # grep -A 2 DISPLAY $(equery which net-libs/webkit-gtk)
        unset DISPLAY
        gnome2_src_compile
}
--
        unset DISPLAY
        # Tests need virtualx, bug #294691, bug #310695
        # Parallel tests sometimes fail
Comment 121 Pacho Ramos gentoo-dev 2014-07-22 06:04:36 UTC
*** Bug 517192 has been marked as a duplicate of this bug. ***
Comment 122 Pacho Ramos gentoo-dev 2014-07-22 06:07:30 UTC
What does occur with unsetting display in pkg_setup phase? That way it will be unset for all the process
Comment 123 nE0sIghT 2014-07-22 15:26:30 UTC
(In reply to Pacho Ramos from comment #122)
> What does occur with unsetting display in pkg_setup phase? That way it will
> be unset for all the process

Same hung

--- ../../../../../portage/net-libs/webkit-gtk/webkit-gtk-2.4.4.ebuild	2014-07-14 22:09:48.000000000 +0400
+++ ./webkit-gtk-2.4.4.ebuild	2014-07-22 18:26:10.513682238 +0400
@@ -111,6 +111,9 @@
 }
 
 pkg_setup() {
+	# Try to avoid issues like bug #463960
+	unset DISPLAY
+
 	# Check whether any of the debugging flags is enabled
 	if [[ ${MERGE_TYPE} != "binary" ]] && is-flagq "-g*" && ! is-flagq "-g*0" ; then
 		if is-flagq "-ggdb" && [[ ${WEBKIT_GTK_GGDB} != "yes" ]]; then
@@ -247,8 +250,7 @@
 }
 
 src_compile() {
-	# Try to avoid issues like bug #463960
-	unset DISPLAY
+
 	gnome2_src_compile
 }
 src_test() {
@@ -258,7 +260,6 @@
 	# Prevents test failures on PaX systems
 	use jit && pax-mark m $(list-paxables Programs/*[Tt]ests/*) # Programs/unittests/.libs/test*
 
-	unset DISPLAY
 	# Tests need virtualx, bug #294691, bug #310695
 	# Parallel tests sometimes fail
 	Xemake -j1 check
Comment 124 Jeroen Roovers gentoo-dev 2014-07-28 22:45:41 UTC
Why are we talking about setting the DISPLAY variable? Comment #56 is nearly a year old and it already describes the best workaround perfectly: make sure you're linking against media-libs/mesa by running `eselect opengl' twice.
Comment 125 Geoff Leach 2014-08-27 12:57:02 UTC
Still hittimg this with 2.4.4, and having to rebuild as part of @preserved-rebuild. Approach in comment #56, #59 works, as does approach in comment #92. nvidia-drivers-343.13-r1.
Comment 126 Mariusz Ceier 2014-08-29 19:00:54 UTC
On one of my laptops, emerge webkit-gtk-2.4.4 also hangs while running g-ir-scanner.
I was able to reproduce it at least 3 times, and have backtrace...
It seems that g-ir-scanner waits for "/var/tmp/portage/net-libs/webkit-gtk-2.4.4/work/webkitgtk-2.4.4/tmp-introspectE_bdmU/.libs/WebKit-3.0" process in waitpid, and that 2 threads in Webkit-3.0 process seems to deadlock in open_rd function from libsandbox... which is called from one of Webkit-3.0 threads, and also from libGL.so (I have nvidia-drivers-343.13-r1 installed).

Attaching backtrace from Webkit-3.0 process.

libGL.so tries to open /proc/self/maps, while Webkit-3.0 tries to open /var/tmp/portage/net-libs/webkit-gtk-2.4.4/temp/.cache/webkit/icondatabase.

So I think it might be sandbox bug.
Comment 127 Mariusz Ceier 2014-08-29 19:01:43 UTC
Created attachment 383928 [details]
Webkit-3.0 hang gdb backtrace log
Comment 128 Mariusz Ceier 2014-08-29 19:05:57 UTC
(In reply to Mariusz Ceier from comment #126)
> On one of my laptops, emerge webkit-gtk-2.4.4 also hangs while running
> g-ir-scanner.
> I was able to reproduce it at least 3 times, and have backtrace...
> It seems that g-ir-scanner waits for
> "/var/tmp/portage/net-libs/webkit-gtk-2.4.4/work/webkitgtk-2.4.4/tmp-
> introspectE_bdmU/.libs/WebKit-3.0" process in waitpid, and that 2 threads in
> Webkit-3.0 process seems to deadlock in open_rd function from libsandbox...
> which is called from one of Webkit-3.0 threads, and also from libGL.so (I
> have nvidia-drivers-343.13-r1 installed).
> 
> Attaching backtrace from Webkit-3.0 process.
> 
> libGL.so tries to open /proc/self/maps, while Webkit-3.0 tries to open
> /var/tmp/portage/net-libs/webkit-gtk-2.4.4/temp/.cache/webkit/icondatabase.
> 
> So I think it might be sandbox bug.

Also, I didn't try any of the workarounds here, other than unsetting DISPLAY variable.
Comment 129 Mariusz Ceier 2014-08-30 09:26:44 UTC
(In reply to Mariusz Ceier from comment #126)
> So I think it might be sandbox bug.

In order to verify this, I emerged webkit-gtk with FEATURES="-sandbox -usersandbox" and it finished successfully. Afterwards I tried again with FEATURES="sandbox usersandbox" and it hanged again with the same backtrace.
Comment 130 nE0sIghT 2014-10-13 18:33:58 UTC
I do not know why, but think that https://bugs.gentoo.org/show_bug.cgi?id=510730 may be related.

Can anyone confirm this by upgrading app-admin/eselect-opengl from vortex overlay and re-emerge webkit-gtk?
Link to ebuild: https://github.com/nE0sIghT/vortex-overlay/blob/master/app-admin/eselect-opengl/eselect-opengl-1.2.7-r1.ebuild
I tried 3 rebuilds and get hung with in-tree eselect-opengl and success with fixed ebuild.

Or via layman:
layman -a vortex
ACCEPT_KEYWORDS=~* emerge -1 =app-admin/eselect-opengl-1.2.7-r1
layman -d vortex
emerge -1 net-libs/webkit-gtk
Comment 131 Alexey Min 2014-10-18 12:29:38 UTC
I got the same bug today, installing new amd64 gentoo system from fresh snapshots (dated 2014-10-16) - build of webkit-gtk-2.4.4 hung at step involving g-ir-scanner. I had opengl set to nvidia. After setting 'eselest opengl set xorg-x11' build has completed successfully.

nvidia-drivers: 343.22-r2
webkit-gtk: 2.4.4-r1
Comment 132 nE0sIghT 2014-10-18 19:02:02 UTC
(In reply to nE0sIghT from comment #130)
> I do not know why, but think that
> https://bugs.gentoo.org/show_bug.cgi?id=510730 may be related.

Nvm, i got a hung in g-ir-compiler again
Comment 133 nE0sIghT 2014-10-19 14:52:47 UTC
Created attachment 386952 [details]
Debug info: ps, gdb, strace

I recompiled python (--with-pydebug), sandbox, glib and glibc with debug info and got backtraces. Archive attached, maybe this will help.
Comment 134 Ben Kohler gentoo-dev 2014-11-04 19:23:35 UTC
*** Bug 528248 has been marked as a duplicate of this bug. ***
Comment 135 nE0sIghT 2014-11-09 17:26:55 UTC
Created attachment 388950 [details]
sys-apps/webkitgtk-hang-test-1.ebuild - test case

Here is test case for this bug
It is also available in vortex overlay: https://github.com/nE0sIghT/vortex-overlay/blob/master/sys-apps/webkitgtk-hang-test/webkitgtk-hang-test-1.ebuild
Comment 136 nE0sIghT 2014-11-09 17:28:31 UTC
Created attachment 388952 [details]
webkitgtk-hang-test-1.tar.gz - distfile for test case

DIST webkitgtk-hang-test-1.tar.gz 663 SHA256 88ee34f3335f015a20c06f62a751f3e2fc59a8fffe776a9979c609551dd5c07f SHA512 e70b86cfb484faaac110926b423a14b73859401e18ada4d62c949b5b82dc13525d5d88e2e09bea9d43230f6b30b00444b6897295f68c8723b2ff677c39bbcc80 WHIRLPOOL 8044e77b6e89b986edcceb6c5163210610e672de4c55f36a9e8faefead2f7a76d7fb15499b0b09fbba2591c895fea63d8aea073f7b245d744910fc9e32bc31b7
Comment 137 nE0sIghT 2014-11-09 17:32:58 UTC
Created attachment 388954 [details]
sys-apps/webkitgtk-hang-test-1.ebuild - test case

Fixed upload url
Distfile mirrored at https://coldzone.ru/upload/webkitgtk-hang-test-1.tar.gz
Comment 138 Steven Trogdon 2014-11-11 19:03:02 UTC
The same hang here with

x11-drivers/nvidia-drivers-304.123 was built with the following:
USE="X acpi multilib tools -pax_kernel" ABI_X86="64"


net-libs/webkit-gtk-2.4.4-r201 was built with the following:
USE="X egl geoloc gstreamer introspection jit opengl spell webgl (-aqua) -coverage -debug -gles2 -libsecret -test" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--no-keep-memory -Wl,--reduce-memory-overheads"

I first encountered it while also dealing with Bug #513386. The workaround in Comment #56 worked here. This is all very curious since webkit-gtk-2.4.4-r201 has been built previously here on two occasions with the same nvidia-drivers and without a problem. I have scoured possible upgrades that could have triggered this and I see no pattern?
Comment 139 nE0sIghT 2014-11-11 19:41:53 UTC
This is definitely sandbox bug.

# wget https://coldzone.ru/upload/webkitgtk-hang-test-1.tar.gz
# tar -xvzf ./webkitgtk-hang-test-1.tar.gz 
# cd webkitgtk-hang-test-1
# ./build.sh 
# sudo -u portage ./gdumpparser.py <-- Normal exit
# sudo -u portage sandbox ./gdumpparser.py <-- Hang with 4 threads waiting

I will try to make more simpler test case without webkit-gtk
Comment 140 nE0sIghT 2014-12-08 18:03:08 UTC
> Jeroen Roovers 2014-12-08 18:38:31 MSK
> Depends on: 531842

That bug is not related to webkit-gtk hang.
I'm installed new eselect-opengl stuff and was able to compile webkit-gtk without hang one time.
Then i was able to pass webkitgtk-hang-test 1 time.

But next several attempts to compile webkitgtk-hang-test led to hangs again.

I still think this is sandbox issue, not nvidia. But i still can not create simpler test case.
Comment 141 nE0sIghT 2014-12-17 19:15:45 UTC
With >=app-admin/eselect-opengl-1.3.0 something like this may be used to avoid hang:

--- ../../../../../portage/net-libs/webkit-gtk/webkit-gtk-2.4.4-r1.ebuild	2014-10-31 11:31:14.000000000 +0300
+++ ./webkit-gtk-2.4.4-r2.ebuild	2014-12-17 20:44:05.553147316 +0300
@@ -258,8 +258,10 @@
 }
 
 src_compile() {
-	# Try to avoid issues like bug #463960
-	unset DISPLAY
+	if has_version '>=app-admin/eselect-opengl-1.3.0'; then
+		export LD_LIBRARY_PATH="/usr/$(get_libdir):${LD_LIBRARY_PATH}"
+	fi
+
 	gnome2_src_compile
 }
 src_test() {
Comment 142 Jeroen Roovers gentoo-dev 2014-12-17 23:23:38 UTC
(In reply to nE0sIghT from comment #141)
> With >=app-admin/eselect-opengl-1.3.0 something like this may be used to
> avoid hang:

With bug #531842 fixed this kind of kludge shouldn't be needed at all. Which is what >=app-admin/eselect-opengl-1.3.0 set out to accomplish. So now you're redundantly tackling the problem from both ends.
Comment 143 nE0sIghT 2014-12-18 04:15:03 UTC
(In reply to Jeroen Roovers from comment #142)
> (In reply to nE0sIghT from comment #141)
> > With >=app-admin/eselect-opengl-1.3.0 something like this may be used to
> > avoid hang:
> 
> With bug #531842 fixed this kind of kludge shouldn't be needed at all. Which
> is what >=app-admin/eselect-opengl-1.3.0 set out to accomplish. So now
> you're redundantly tackling the problem from both ends.

You are wrong. This bug is not compile-time problem. It's runtime problem.
Just try attached sys-apps/webkitgtk-hang-test-1.ebuild
Comment 144 Jeroen Roovers gentoo-dev 2014-12-18 10:34:05 UTC
(In reply to nE0sIghT from comment #143)
> This bug is not compile-time problem. It's runtime problem.

That's not what the summary says.
Comment 145 Jeroen Roovers gentoo-dev 2014-12-18 11:05:09 UTC
(In reply to nE0sIghT from comment #141)
> With >=app-admin/eselect-opengl-1.3.0 something like this may be used to
> avoid hang:
> 
> --- ../../../../../portage/net-libs/webkit-gtk/webkit-gtk-2.4.4-r1.ebuild
> 2014-10-31 11:31:14.000000000 +0300
> +++ ./webkit-gtk-2.4.4-r2.ebuild	2014-12-17 20:44:05.553147316 +0300
> @@ -258,8 +258,10 @@
>  }
>  
>  src_compile() {
> -	# Try to avoid issues like bug #463960
> -	unset DISPLAY
> +	if has_version '>=app-admin/eselect-opengl-1.3.0'; then
> +		export LD_LIBRARY_PATH="/usr/$(get_libdir):${LD_LIBRARY_PATH}"
> +	fi

I don't completely disagree with this patch. But I do wonder what we're going to do with the <app-admin/eselect-opengl-1.3.0 case and why we're not doing it in pkg_setup(). You could run `eselect opengl set xorg-x11' in the latter case, and revert it after the build, or if that's unacceptable just die() since you're going to fail later on anyway.
Comment 146 nE0sIghT 2014-12-18 12:31:11 UTC
(In reply to Jeroen Roovers from comment #145)
> 
> But I do wonder what we're going to do with the <app-admin/eselect-opengl-1.3.0 case

To say the truth i do not really like this hack nor want to see it applied in-tree. This bug must be localized and fixed in sandbox.
Comment 147 Dyweni 2014-12-20 03:19:31 UTC
Hi,

webkit-gtk-2.4.7 now this in its ebuilds:
----------------------------------------------------------------
nvidia_check() {
        if [[ ${MERGE_TYPE} != "binary" ]] &&
           use introspection &&
           has_version '>=x11-drivers/nvidia-drivers-304.123' &&
           [[ $(eselect opengl show 2> /dev/null) = "nvidia" ]]
        then
                eerror "${PN} freezes while compiling if x11-drivers/nvidia-drivers-325.* is"
                eerror "used as the system OpenGL library."
                eerror "You can either update to >=nvidia-drivers-331.13, or temporarily select"
                eerror "Mesa as the system OpenGL library:"
                eerror " # eselect opengl set xorg-x11"
                eerror "See https://bugs.gentoo.org/463960 for more details."
                eerror
                return 1
        fi
}
----------------------------------------------------------------

However, it is missing the upper bounds check on the nvidia driver version.  I have upgraded to 343.36 and this package still dies.

Thanks,
Comment 148 David Davidson 2014-12-20 03:49:31 UTC
(In reply to LeeL from comment #147)
> Hi,
> 
> webkit-gtk-2.4.7 now this in its ebuilds:
> ----------------------------------------------------------------
> nvidia_check() {
>         if [[ ${MERGE_TYPE} != "binary" ]] &&
>            use introspection &&
>            has_version '>=x11-drivers/nvidia-drivers-304.123' &&
>            [[ $(eselect opengl show 2> /dev/null) = "nvidia" ]]
>         then
>                 eerror "${PN} freezes while compiling if
> x11-drivers/nvidia-drivers-325.* is"
>                 eerror "used as the system OpenGL library."
>                 eerror "You can either update to >=nvidia-drivers-331.13, or
> temporarily select"
>                 eerror "Mesa as the system OpenGL library:"
>                 eerror " # eselect opengl set xorg-x11"
>                 eerror "See https://bugs.gentoo.org/463960 for more details."
>                 eerror
>                 return 1
>         fi
> }
> ----------------------------------------------------------------
> 
> However, it is missing the upper bounds check on the nvidia driver version. 
> I have upgraded to 343.36 and this package still dies.
> 
> Thanks,


Hello:

First off, thank you for Gentoo GNU/Linux. Developers and maintainers alike deserve the best of recognition.

I concur: Please help us to fix this because I am unable to emerge world; I am also already using NVIDIA drivers version 343.36:

emerge --search nvidia-drivers
Searching...    
[ Results for search key : nvidia-drivers ]
[ Applications found : 1 ]

*  x11-drivers/nvidia-drivers
      Latest version available: 343.36
      Latest version installed: 343.36
      Size of files: 72,047 KiB
      Homepage:      http://www.nvidia.com/
      Description:   NVIDIA Accelerated Graphics Driver
      License:       GPL-2 NVIDIA-r2



I still get the same error:


Calculating dependencies... done!

>>> Verifying ebuild manifests
>>> Running pre-merge checks for net-libs/webkit-gtk-2.4.7-r200
 * webkit-gtk freezes while compiling if x11-drivers/nvidia-drivers-325.* is
 * used as the system OpenGL library.
 * You can either update to >=nvidia-drivers-331.13, or temporarily select
 * Mesa as the system OpenGL library:
 *  # eselect opengl set xorg-x11
 * See https://bugs.gentoo.org/463960 for more details.
 * 
 * ERROR: net-libs/webkit-gtk-2.4.7-r200::gentoo failed (pretend phase):
 *   (no error message)
 * 
 * Call stack:
 *                      ebuild.sh, line  93:  Called pkg_pretend
 *   webkit-gtk-2.4.7-r200.ebuild, line  98:  Called die
 * The specific snippet of code:
 *      nvidia_check || die #463960
 * 
 * If you need support, post the output of `emerge --info '=net-libs/webkit-gtk-2.4.7-r200::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-libs/webkit-gtk-2.4.7-r200::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-libs/webkit-gtk-2.4.7-r200/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/webkit-gtk-2.4.7-r200/temp/die.env'.
 * Working directory: '/usr/lib64/python3.3/site-packages'
 * S: '/var/tmp/portage/net-libs/webkit-gtk-2.4.7-r200/work/webkitgtk-2.4.7'

 * Messages for package net-libs/webkit-gtk-2.4.7-r200:

 * webkit-gtk freezes while compiling if x11-drivers/nvidia-drivers-325.* is
 * used as the system OpenGL library.
 * You can either update to >=nvidia-drivers-331.13, or temporarily select
 * Mesa as the system OpenGL library:
 *  # eselect opengl set xorg-x11
 * See https://bugs.gentoo.org/463960 for more details.
 * 
 * ERROR: net-libs/webkit-gtk-2.4.7-r200::gentoo failed (pretend phase):
 *   (no error message)
 * 
 * Call stack:
 *                      ebuild.sh, line  93:  Called pkg_pretend
 *   webkit-gtk-2.4.7-r200.ebuild, line  98:  Called die
 * The specific snippet of code:
 *      nvidia_check || die #463960
 * 
 * If you need support, post the output of `emerge --info '=net-libs/webkit-gtk-2.4.7-r200::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-libs/webkit-gtk-2.4.7-r200::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-libs/webkit-gtk-2.4.7-r200/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/webkit-gtk-2.4.7-r200/temp/die.env'.
 * Working directory: '/usr/lib64/python3.3/site-packages'
 * S: '/var/tmp/portage/net-libs/webkit-gtk-2.4.7-r200/work/webkitgtk-2.4.7'





How do we get this fixed? Please let me know your thoughts. Thank you for your support.

Best Regards,

YKW
Comment 149 nE0sIghT 2014-12-20 05:33:42 UTC
(In reply to David Davidson from comment #148)
> (In reply to LeeL from comment #147)
> 
> How do we get this fixed? Please let me know your thoughts. Thank you for
> your support.

As a temporal workaround:
eselect opengl set xorg-x11
emerge -1 net-libs/webkit-gtk
Comment 150 nE0sIghT 2014-12-20 19:26:07 UTC
Created attachment 392104 [details]
Backtrace when hang. webkit-gtk builded with -g0
Comment 151 David Davidson 2014-12-20 20:17:33 UTC
(In reply to nE0sIghT from comment #149)
> (In reply to David Davidson from comment #148)
> > (In reply to LeeL from comment #147)
> > 
> > How do we get this fixed? Please let me know your thoughts. Thank you for
> > your support.
> 
> As a temporal workaround:
> eselect opengl set xorg-x11
> emerge -1 net-libs/webkit-gtk



Thank you for the reply, nE0sIghT. As it turns out, this isn't really a work around because it forces the user to switch to software rendering instead of using the hardware driver, and then if the user switches back and eselects the NVIDIA opengl interface, a world update prompts for a recompile of webkit-gtk again, which is going to fail for the same reason that LeeL mentioned: the upper bound for the NVIDIA driver needs to be fixed in this e-build so compiling can proceed for the platforms that have the newer driver.

When can a fix be expected?
Comment 152 nE0sIghT 2014-12-20 20:33:21 UTC
(In reply to David Davidson from comment #151)
> ... if the user switches back and eselects
> the NVIDIA opengl interface, a world update prompts for a recompile of
> webkit-gtk again

That should not happens. Portage has nothing to do with selected opengl vendor.

> the upper bound for the NVIDIA driver needs to be fixed in this e-build so
> compiling can proceed for the platforms that have the newer driver.

That will lead to hang. All versions of nvidia drivers are affected. You could make certain of this by compiling attached webkitgtk-hang-test
Comment 153 David Davidson 2014-12-20 21:03:00 UTC
(In reply to nE0sIghT from comment #152)
> (In reply to David Davidson from comment #151)
> > ... if the user switches back and eselects
> > the NVIDIA opengl interface, a world update prompts for a recompile of
> > webkit-gtk again
> 
> That should not happens. Portage has nothing to do with selected opengl
> vendor.
> 
> > the upper bound for the NVIDIA driver needs to be fixed in this e-build so
> > compiling can proceed for the platforms that have the newer driver.
> 
> That will lead to hang. All versions of nvidia drivers are affected. You
> could make certain of this by compiling attached webkitgtk-hang-test


Thank you for explaining that, nE0sIghT. I thought that the error message mentions that 325.* are the affected versions but if it affects all of them, then I am glad somebody found this and working on fixing the hang problem.

However, I still cannot use the workaround. I compiled webkit-gtk using xorg-x11 instead, then switched back to nvidia using eselect opengl, and I am prompted to compile again when emerging world updates:



# emerge --search webkit-gtk
Searching...    
[ Results for search key : webkit-gtk ]

*  net-libs/webkit-gtk
      Latest version available: 2.4.7-r200
      Latest version installed: 2.4.7-r200
      Size of files: 9,596 KiB
      Homepage:      http://www.webkitgtk.org/
      Description:   Open source web browser engine
      License:       LGPL-2+ BSD


# eselect opengl list
Available OpenGL implementations:
  [1]   nvidia *
  [2]   xorg-x11


emerge -pv --update --deep --newuse --with-bdeps=y world

[ebuild  NS    ] net-libs/webkit-gtk-2.4.7:3/25 [2.4.7-r200:2] USE="X egl geoloc gstreamer introspection jit opengl spell webgl (-aqua) -coverage -debug -gles2 -libsecret {-test} -wayla



Please let me know your thoughts. Thank you again for your help.
Comment 154 David Davidson 2014-12-21 03:02:30 UTC
(In reply to David Davidson from comment #153)
> (In reply to nE0sIghT from comment #152)
> > (In reply to David Davidson from comment #151)
> > > ... if the user switches back and eselects
> > > the NVIDIA opengl interface, a world update prompts for a recompile of
> > > webkit-gtk again
> > 
> > That should not happens. Portage has nothing to do with selected opengl
> > vendor.
> > 
> > > the upper bound for the NVIDIA driver needs to be fixed in this e-build so
> > > compiling can proceed for the platforms that have the newer driver.
> > 
> > That will lead to hang. All versions of nvidia drivers are affected. You
> > could make certain of this by compiling attached webkitgtk-hang-test
> 
> 
> Thank you for explaining that, nE0sIghT. I thought that the error message
> mentions that 325.* are the affected versions but if it affects all of them,
> then I am glad somebody found this and working on fixing the hang problem.
> 
> However, I still cannot use the workaround. I compiled webkit-gtk using
> xorg-x11 instead, then switched back to nvidia using eselect opengl, and I
> am prompted to compile again when emerging world updates:
> 
> 
> 
> # emerge --search webkit-gtk
> Searching...    
> [ Results for search key : webkit-gtk ]
> 
> *  net-libs/webkit-gtk
>       Latest version available: 2.4.7-r200
>       Latest version installed: 2.4.7-r200
>       Size of files: 9,596 KiB
>       Homepage:      http://www.webkitgtk.org/
>       Description:   Open source web browser engine
>       License:       LGPL-2+ BSD
> 
> 
> # eselect opengl list
> Available OpenGL implementations:
>   [1]   nvidia *
>   [2]   xorg-x11
> 
> 
> emerge -pv --update --deep --newuse --with-bdeps=y world
> 
> [ebuild  NS    ] net-libs/webkit-gtk-2.4.7:3/25 [2.4.7-r200:2] USE="X egl
> geoloc gstreamer introspection jit opengl spell webgl (-aqua) -coverage
> -debug -gles2 -libsecret {-test} -wayla
> 
> 
> 
> Please let me know your thoughts. Thank you again for your help.



Hi nE0sIghT:

You're right - I stand corrected. This does NOT try to re-emerge during a world update. The reason I was having to do it was because I had to execute a "emerge @preserved-rebuild" and rebuild webkit-gtk because of some other changes I made. I can confirm that after I ran the "emerge @preserved-rebuild" [while still having eselect opengl xorg-x11], it does NOT show up as needed to be emerged during a world update.

Again, thank you for working on this.

Best Regards,

YKW
Comment 155 Pacho Ramos gentoo-dev 2015-01-18 10:30:38 UTC
I have seen xdriinfo ebuild is running:
append-cppflags "-I${EPREFIX}/usr/lib64/opengl/xorg-x11/include/"

but I couldn't confirm (per changelog and past bugs) if that is a way to force xorg-x11 implementation to be used without needing to play with eselect-opengl inside the ebuild :/
Comment 156 nE0sIghT 2015-01-18 10:46:51 UTC
(In reply to Pacho Ramos from comment #155)
> I have seen xdriinfo ebuild is running:
> append-cppflags "-I${EPREFIX}/usr/lib64/opengl/xorg-x11/include/"
> 
> but I couldn't confirm (per changelog and past bugs) if that is a way to
> force xorg-x11 implementation to be used without needing to play with
> eselect-opengl inside the ebuild :/

I think that main question is "what we want?".

1. If we want fix problem and avoid it in the future then bug 533398 must be resolved.
2. If we just want to compile webkit-gtk without hang in all configurations a simple fix with forcing mesa libGL must be applied as i suggest in comment  141.
Because i already switched to >=eselect-opengl-1.3.0 i do not know were old mesa install libraries and can not make a proper patch for <media-libs/mesa-10.3.4-r1.
Comment 157 Casey Webster 2015-01-24 03:04:21 UTC
(In reply to nE0sIghT from comment #152)
> (In reply to David Davidson from comment #151)
> > the upper bound for the NVIDIA driver needs to be fixed in this e-build so
> > compiling can proceed for the platforms that have the newer driver.
> 
> That will lead to hang. All versions of nvidia drivers are affected. You
> could make certain of this by compiling attached webkitgtk-hang-test

This isn't the case, at least for me.  For both nvidia-drivers 343.36, 346.35 I've been able to emerge webkit-gtk-2.4.7 by commenting out the nvidia version check in the ebuild, regenerating the manifest and emerging normally.
Comment 158 nE0sIghT 2015-01-24 06:18:50 UTC
(In reply to Casey Webster from comment #157)
> 
> This isn't the case, at least for me.  For both nvidia-drivers 343.36,
> 346.35 I've been able to emerge webkit-gtk-2.4.7 by commenting out the
> nvidia version check in the ebuild, regenerating the manifest and emerging
> normally.

Try this steps: https://bugs.gentoo.org/show_bug.cgi?id=533398
If it hang  at least 1 time - this is case for you too
Comment 159 Casey Webster 2015-01-25 01:39:07 UTC
(In reply to nE0sIghT from comment #158)
> (In reply to Casey Webster from comment #157)
> > 
> > This isn't the case, at least for me.  For both nvidia-drivers 343.36,
> > 346.35 I've been able to emerge webkit-gtk-2.4.7 by commenting out the
> > nvidia version check in the ebuild, regenerating the manifest and emerging
> > normally.
> 
> Try this steps: https://bugs.gentoo.org/show_bug.cgi?id=533398
> If it hang  at least 1 time - this is case for you too

I cannot reproduce your hang with the testcase and instructions in that bug.
Comment 160 nE0sIghT 2015-01-25 05:41:07 UTC
(In reply to Casey Webster from comment #159)
> 
> I cannot reproduce your hang with the testcase and instructions in that bug.

Just checked x11-drivers/nvidia-drivers-346.35 - it is still reproducible for me with test case.
Comment 161 Pacho Ramos gentoo-dev 2015-01-25 12:00:08 UTC
(In reply to nE0sIghT from comment #160)
> (In reply to Casey Webster from comment #159)
> > 
> > I cannot reproduce your hang with the testcase and instructions in that bug.
> 
> Just checked x11-drivers/nvidia-drivers-346.35 - it is still reproducible
> for me with test case.

+  25 Jan 2015; Pacho Ramos <pacho@gentoo.org> -webkit-gtk-2.4.7-r200.ebuild,
+  -webkit-gtk-2.4.7.ebuild, webkit-gtk-2.4.8-r200.ebuild,
+  webkit-gtk-2.4.8.ebuild:
+  gir-nvidia-hangs.patch was not really working and, also, upstream supposedly
+  fixed the bug in a different way also in 2.4.8 (not only 2.6.x)
+

Can you please retry once this patch is no longer applied? Per upstream report it should be already fixed there not using webkit_get_default_session anymore
Comment 162 Casey Webster 2015-01-25 18:50:50 UTC
(In reply to Pacho Ramos from comment #161)
> (In reply to nE0sIghT from comment #160)
> > (In reply to Casey Webster from comment #159)
> > > 
> > > I cannot reproduce your hang with the testcase and instructions in that bug.
> > 
> > Just checked x11-drivers/nvidia-drivers-346.35 - it is still reproducible
> > for me with test case.
> 
> +  25 Jan 2015; Pacho Ramos <pacho@gentoo.org> -webkit-gtk-2.4.7-r200.ebuild,
> +  -webkit-gtk-2.4.7.ebuild, webkit-gtk-2.4.8-r200.ebuild,
> +  webkit-gtk-2.4.8.ebuild:
> +  gir-nvidia-hangs.patch was not really working and, also, upstream
> supposedly
> +  fixed the bug in a different way also in 2.4.8 (not only 2.6.x)
> +
> 
> Can you please retry once this patch is no longer applied? Per upstream
> report it should be already fixed there not using webkit_get_default_session
> anymore

FWIW I can build -2.4.7 with nvidia opengl selected (346.35) and without the gir-nvidia-hangs.patch applied and cannot repro the hang testcase.  If you are interesting in any more information on my system/build environment I can post.  Probably the only notable difference from stable may be that my world is compiled with gcc 4.9.2.
Comment 163 nE0sIghT 2015-01-25 20:20:34 UTC
(In reply to Pacho Ramos from comment #161)
> 
> Can you please retry once this patch is no longer applied? Per upstream
> report it should be already fixed there not using webkit_get_default_session
> anymore

One time build succeeded. However i will repeat build several times for a couple of days and report later.
Also bug 533398 is still reproducible so even if webkit build is fixed for now this issue can return sometime.
Comment 164 nE0sIghT 2015-01-26 20:48:06 UTC
For now i built webkit-gtk-2.4.8 4 times without hang
Comment 165 Pacho Ramos gentoo-dev 2015-01-27 09:30:47 UTC
+  27 Jan 2015; Pacho Ramos <pacho@gentoo.org> webkit-gtk-2.4.8-r200.ebuild,
+  webkit-gtk-2.4.8.ebuild:
+  Stop running the nvidia_check as looks to be no longer needed (thanks a lot to
+  nE0sIghT, Casey Webster and others for testing)
+
Comment 166 Leho Kraav (:macmaN @lkraav) 2015-02-02 13:36:36 UTC
I just did an issue free build of 2.4.8-r200:2, with nvidia-drivers-340.65. Looks like this bug situation has indeed improved.

Mon Feb  2 12:28:33 2015 <<< net-libs/webkit-gtk-2.2.6-r200
Mon Feb  2 12:28:38 2015 >>> net-libs/webkit-gtk-2.4.8-r200


Building 2.4.8:3 now.
Comment 167 Pacho Ramos gentoo-dev 2015-05-06 11:18:40 UTC
(In reply to Pacho Ramos from comment #165)
> +  27 Jan 2015; Pacho Ramos <pacho@gentoo.org> webkit-gtk-2.4.8-r200.ebuild,
> +  webkit-gtk-2.4.8.ebuild:
> +  Stop running the nvidia_check as looks to be no longer needed (thanks a
> lot to
> +  nE0sIghT, Casey Webster and others for testing)
> +